qt4-x11 (4:4.8.6+git49-gbc62005+dfsg-1+rpi1) jessie-staging; urgency=low

  * Disable neon

 -- Peter Micheal Green <plugwash@raspbian.org>  Thu, 31 Jul 2014 22:56:54 +0000

qt4-x11 (4:4.8.6+git49-gbc62005+dfsg-1) unstable; urgency=medium

  * New upstream GIT snapshot.
  * Update 07_trust_dpkg-arch_over_uname-m.diff and debian/rules in order to
    let mips64[el] build (Closes: #719763). Thanks Yunqiang Su for the patch.
  * Enable using system network proxies by default.
    - Add this information to debian/NEWS to inform our users.
  * Update symbols files with buildd's logs.
  * Refresh patches.
  * Update install files due to the fix of QTBUG-16838.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 25 Jul 2014 14:07:38 -0300

qt4-x11 (4:4.8.6+dfsg-2) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Add arm64 to no_pch_architectures.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Use the standard compiler provided by build-essential (Closes: 747988).
  * Update symbols files with buildd's and current logs.
  * Add parisc-atomic.patch to improve atomic support on parisc
    (Closes: #741190).
  * Add ppc64el to the list of architectures that build without using pch,
    partly solving #749743.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 16 Jun 2014 10:10:58 -0300

qt4-x11 (4:4.8.6+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Also add ppc64 to the list of non-pch build archs. Thanks Hiroyuki Yamamoto
    for the tip.
  * Refresh patches.
  * Update symbols files with buildd's logs and current build log.
  * Apply upstream's dont_crash_on_broken_gif_images.patch to solve
    CVE-2014-0190.
  * Add lintian overrides for a bug a lintian which makes it think that HTML
    pages listing RFCs' license are licensed under it.
  * Remove sourceless doc/html/scripts/jquery.js from the original tarball.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 24 Apr 2014 17:42:45 -0300

qt4-x11 (4:4.8.5+git242-g0315971+dfsg-2) unstable; urgency=medium

  * Update symbols files with buildd's and current build logs.
  * Add powerpc to the list of archs that will not build with precompiled
    headers. The last upload FTBFS due to a pch problem, reproducible in a
    porter box. I have mailed debian-powerpc informing them of the situation.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 10 Mar 2014 14:32:08 -0300

qt4-x11 (4:4.8.5+git242-g0315971+dfsg-1) unstable; urgency=medium

  * New upstream git snapshot.
  * Make rm verbose. In this way it's easier to audit the build.
  * Override lintian's old autotools helpers files warnings, we are not
    using them, tested by patching them away and rebuilding. Actually we are
    using the system's version of the involved libs.
  * Update symbols files with buildd's logs.
  * Install new translations.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 08 Mar 2014 21:00:55 -0300

qt4-x11 (4:4.8.5+git209-g718fae5+dfsg-1) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Remove Ubuntu-specific code to add armel to armv6_architectures.
    Ubuntu no longer supports armel.
  * Also remove Ubuntu-specific translations code, dropped in Ubuntu
    in version 4:4.8.4+dfsg-0ubuntu8.

  [ Pino Toscano ]
  * Change the libicu48 suggestion in libqtcore4 to libicu52.
    (Closes: #734514)

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream git snapshot.
  * Update symbols files with buildd's and current build's logs.
  * Update Standards-Version to 3.9.5, no changes required.
  * Remove commented out AddSense script from static webpage to keep lintian
    calm.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 12 Jan 2014 00:27:31 -0300

qt4-x11 (4:4.8.5+git192-g085f851+dfsg-2) unstable; urgency=low

  * Fix typo created when refreshing a patch for s390x which created a FTBFS.
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 06 Dec 2013 16:38:43 -0300

qt4-x11 (4:4.8.5+git192-g085f851+dfsg-1) unstable; urgency=medium

  * New upstream git snapshot. This includes the fix for CVE-2013-4549: XML
    Entity Expansion Denial of Service. Set severity to medium.
  * Update symbols fles with buildds' logs and current build.
  * Refresh patches.
  * Install new translation.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 05 Dec 2013 20:45:43 -0300

qt4-x11 (4:4.8.5+git121-g2a9ea11+dfsg1-2) unstable; urgency=low

  * Remove Fix_JavaScriptCore_ftbfs_on_mips64_el.patch, it makes 32 bits
    platforms FTBFS.
  * Take back s390x_jscore.diff to it's original state.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 11 Oct 2013 20:53:25 -0300

qt4-x11 (4:4.8.5+git121-g2a9ea11+dfsg1-1) unstable; urgency=low

  * Add Fix_JavaScriptCore_ftbfs_on_mips64_el.patch. It just needs to be
    approved upstream, but it has been already ACKed (Closes: #719763).
    - Fix s390x_jscore.diff so it can be applied on top of the above mentioned
    patch. This last one seems not pushed upstream.
  * Remove sources with minified javascript libs without source
    (Closes: #723036).
    - Increase DFSG revision number.
    I have tried building without those files and everything seems OK except a
    documentation html file that shows the minified javascript code which has
    been removed, so I'll leave it like that.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 11 Oct 2013 15:23:32 -0300

qt4-x11 (4:4.8.5+git121-g2a9ea11+dfsg-1) unstable; urgency=low

  * Upstream snapshot, git v4.8.5+git121-g2a9ea11.
  * Fix shortcuts with_secondary xkb layout (Closes: #719064).
    Thanks Boris Pek for pointing it out.
  * Refresh patches.
  * Remove patches applied upstream:
    - Add-support-for-the-Linux-m68k-platform.patch.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 14 Sep 2013 21:28:44 -0300

qt4-x11 (4:4.8.5+dfsg-4) unstable; urgency=low

  * Fix typo in libqt4-opengl-dev dependencies (Closes: #720302).
  * Fix broken symlink to use the system's jquery javascript library
    (Closes: #720950).
  * Apply qtdoc-build-offline-docs.patch to build documentation as offline.
    This means the searchbox will not be available, but it wasn't functional
    after all (Closes: #721111). Thanks Roland Hieber for the patch.
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 31 Aug 2013 14:39:25 -0300

qt4-x11 (4:4.8.5+dfsg-3) unstable; urgency=low

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add Add-support-for-the-Linux-m68k-platform.patch for supporting the m68k
    architecture (Closes: 660963).
    - Install m68k headers.
  * Change libqt4-opengl-dev dependency on libgl1-mesa-dev to
    libgl1-mesa-dev | libgl1-dev, thus allowing other implementations of
    libgl1 to be used (Closes: #718992).

  [ Pino Toscano ]
  * Fix description of qtcore4-l10n. (Closes: #717013)
  * Workaround moc failures with recent versions of Boost; patch
    qt-everywhere-opensource-src-4.8.5-QTBUG-22829.patch from Fedora (thanks!).
    (Closes: #704045)

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 19 Aug 2013 15:51:51 -0300

qt4-x11 (4:4.8.5+dfsg-2) unstable; urgency=low

  * Make qtcore4-l10n M-A: foreign. Due to a limitation in dpkg which does not
    do recursive tracking of arch dependency arch: all packages are considered
    to have the same arch as the package that depends on it. Marking this
    package as foreign solves this issue.
  * Use the system jquery javascript library.
    - Make libqt4-doc-html depend on libjs-jquery.
    - Remove jquery.js from the installation.
    - Symlink the system's jquery to the appropriate location.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 04 Jul 2013 12:39:49 -0300

qt4-x11 (4:4.8.5+dfsg-1) unstable; urgency=low

  * New upstream release. Fixes warning using GCC 4.8 (Closes: #676957).
  * Solves a crash in GTK style (Closes: 712886).
  * Fix watch file. It seems the URL changed again.
  * Remove patches taken from upstream, already applied:
    - SSL-certificates-blacklist-mis-issued-Turktrust-cert.patch
    - Fix_binary_incompatibility_between_openssl_versions.patch
    - QGtkStyle-remove-an-unnecessary-sanity-check-for-the.patch
    - CVE-2011-3922.patch
  * Refresh multiple patches.
  * Update symbols files.
  * Pass --fail-missing to dh_install.
  * Remove libtool-like files.
  * Remove the gstreamer phonon backend, we are building it in another source
    package.
  * Remove debian/not-installed. We are removing stuff uninstalled stuff from
    debian/rules.
  * Ship some headers for other platforms.
  * Use canonical URLs in the Vcs headers.
  * Make libqt4-designer-dbg, libqt4-qt3support-dbg, libqt4-dbg,
    libqt4-script-dbg and libqt4-xmlpatterns-dbg M-A same to allow
    co-installation of debugging symbols.
  * Update Standars-Version to 3.9.4, no changes needed.
  * Remove unused lintian override for qt4-bin-dbg, it has been fixed in
    4:4.8.4+dfsg-1.
  * Update the libqt4-phonon lintian overrides:
    - Add a message explaining why we are overriding lintian.
    - Override the warning of libqt4-phonon missing a symbol file, we are not
      tracking the provided lib.
  * Remove unused lintian override for libqt4-dbus.
  * Split libqtcore4's translations to qtcore4-l10n.
    - Make qtcore4-l10n arch all.
    - Add proper Break and Replaces to qtcore4-l10n against libqtcore4.
    - Split the install files.
  * Remove unused subtitution variables:
    - ${misc:Pre-Depends} from qtcore4-l10n and libqt4-dbus.
    - ${shlibs:Depends} from libqt4-private-dev and libqt4-opengl-dev.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 03 Jul 2013 13:59:13 -0300

qt4-x11 (4:4.8.4+dfsg-4) unstable; urgency=low

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Also ship 4.conf. This makes calls to qtchooser prettier: qtchooser -qt4.
  * Make every package that ships a binary managed by qtchooser depend on it.
  * Upload to unstable.

  [ Pino Toscano ]
  * Switch libtiff4-dev build dependency to libtiff-dev.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 24 May 2013 10:11:35 -0300

qt4-x11 (4:4.8.4+dfsg-3) experimental; urgency=low

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add armhf to the list of archs that should not use pch to avoid FTBFSs.
  * Update symbols files.
  * Ship multi-arch aware configs files and a last resort fallback qt4.conf to
    avoid FTBFSs in Qt4 packages already in the archive. This is explained in
    qtchooser's README.Debian.
  * Remove Break+Replaces for packages older than what Squeeze shipped.
  * Changed qt4-default to arch: all. Should have been like this from start, as
    it contains arch-qualified paths in it.
  * Fix typos in lintian overrides.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 13 May 2013 23:31:54 -0300

qt4-x11 (4:4.8.4+dfsg-2) experimental; urgency=low

  * Switched qt4-default to Section libdevel. Thanks Ansgar Burchardt for
    noticing!
  * Be more aggressive when deleting RFCs.
  * libqt4-dev needs qtchooser, so we make it a dependency.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 14 Apr 2013 16:30:21 -0300

qt4-x11 (4:4.8.4+dfsg-1) experimental; urgency=low

  [ Timo Jyrinki ]
  * New upstream release
  * Migrate to use qtchooser for Qt5 co-installation support
    - Libraries co-installed, executables managed by qtchooser
    - Packages will need build-dep on qt4-default to build against Qt4
    - Symlinks left for binaries that had -qt4 via alternatives
  * Drop patches that have been merged upstream:
    - QElfParser-fix-type-of-sh_size.patch
    - Fix-cursor-truncate-to-include-line-position.patch
    - qt_atomic_sparc64.patch
    - fix_use_after_free_qlocale_unix.patch
    - QTBUG-14724_close_orphaned_file_descriptors_after_printing.patch
    - disable-SSL-compression-by-default.patch
    - fix_jit_crash_on_x86_64.patch
    - add_missing_map_noreserve.patch
    - make_rules_for_redirect_stricter.patch
  * Refresh patches:
    - 16_hide_std_symbols_on_qtwebkit.diff
    - no_libicu_message.diff
  * Update symbols

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Improve watch file to mangle Debian version.
  * Refresh patches:
    - Add_support_for_QT_USE_DRAG_DISTANCE_env_var.patch
    - QTBUG-21900_Buttons_in_Qt_applications_not_clickable_when_run_under\
      _gnome-shell.patch
    - 0195-compositing-properties.diff
    - qtdebug_syslog.patch
    - 02_syncqt_sane_timestamp_for_nonexisting_headers.diff
    - 07_trust_dpkg-arch_over_uname-m.diff
    - 08_configure_quilt_compat.diff
    - 12_add_nostrip_for_debug_packages.diff
    - 23_permit_plugins_built_with_future_qt.diff
    - 71_hppa_unaligned_access_fix_458133.diff
    - 94_armv6_uname_entry.diff
    - powerpcspe.diff
    - sh.diff
    - QTBUG-25324_assistant_segfault_on_start_with_gcc_4.7.patch
    - qt-multiarch-plugin-path-compat.diff
  * Fix dependency in qt4-bin-dbg. It should be libqt4-dev-bin instead of
    libqt4-dbg.
  * Add a lintian override for libqt4-webkit-dbg, it's a dummy package that
    depends on libqtwebkit4-dbg.
  * Remove an unused override for libqt4-dbus.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 01 Apr 2013 15:17:39 -0300

qt4-x11 (4:4.8.2+dfsg-11) unstable; urgency=medium

  * Take upstream patch change_all_shmget_calls_to_use_user-only_memory.patch.
    It changes the shmget calls to get user-only memory, CVE-2013-0254.
    - Set urgency to medium.
    - Drop changes from tests/auto/qtipc/qsharedmemory/tst_qsharedmemory.cpp,
    it doesn't exists in the Debian tarball.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 05 Feb 2013 18:52:29 -0300

qt4-x11 (4:4.8.2+dfsg-10) unstable; urgency=medium

  * Add SSL-certificates-blacklist-mis-issued-Turktrust-cert.patch to blacklist
    miss issued certificates from Turktrust.
    - Patch taken from upstream.
    - Set urgency to medium.
  * Add Fix_binary_incompatibility_between_openssl_versions.patch to avoid a
    bug that would cause certificate verification problems if a different
    version of openssl is loaded at runtime to the headers Qt was compiled
    against (Closes: #697582).
    - Patch taken from upstream.
    - Also deserves setting the urgency to medium.
  * Confirm symbols files with buildds' logs.
  * Make libqt4-network recommend ca-certificates. It may be needed if doing
    SSL stuff and expecting to use certificate chains.
    Also Qt does not ship certificate bundles anymore but rather uses the
    system bundle (Closes: #530532).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 19 Jan 2013 16:47:57 -0300

qt4-x11 (4:4.8.2+dfsg-9) unstable; urgency=low

  * Fix the Breaks and Replaces version in libqtdbus4 to 4:4.8.2+dfsg-8
    (Closes: #697507).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 06 Jan 2013 13:16:54 -0300

qt4-x11 (4:4.8.2+dfsg-8) unstable; urgency=low

  * Make libqtdbus4 Break+Replaces libqt4-dbus << 4:4.7.4-6, thus allowing
    proper installation (Closes: #697147).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 04 Jan 2013 12:18:01 -0300

qt4-x11 (4:4.8.2+dfsg-7) unstable; urgency=medium

  [ Pino Toscano ]
  * Re-enable parallel building for all the architectures, after
    4:4.8.2+dfsg-5 accidentally disabled it. (Closes: #696961)

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Apply make_rules_for_redirect_stricter.patch taken from upstream to solve
    a "man in the middle" attack, CVE-2012-5624. Thanks Thijs Kinkhorst
    (Closes: #695156).
    - Set urgency to medium.
  * Break the circular dependency between libqt4-dbus and qdbus by adding
    libqtdbus4 with the contents of libqt4-dbus in it. Then make libqt4-dbus
    depend on both qdbus and libqtdbus4. The symbols file of libqtdbus4 depends
    on libqt4-dbus to ensure that a dependency on libqt4-dbus ensures qdbus is
    installed, also on rebuilt packages. This arrangement is transitional.
    (Closes: #669278).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 31 Dec 2012 00:48:09 -0300

qt4-x11 (4:4.8.2+dfsg-6) unstable; urgency=low

  [ Debian Qt/KDE Maintainers ]
  * Hopefully fix ia64 FTBFS:
    - Remove add-winvalid.patch. Stephan Schreiber has determined the problem
      with the precompiled headers on ia64. Thanks *a lot* Stephan.
    - Apply the changes suggested by Stephan to avoid using pre compiled
      headers just on ia64.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 18 Dec 2012 07:21:48 -0300

qt4-x11 (4:4.8.2+dfsg-5) unstable; urgency=low

  * Add some changes in order to determine the reason of the FTBFS on ia64:
    - Re-allow parallel building on ia64.
    - Pass -Winvalid-pch to CFLAGS.
    See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=696096 for more info.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 16 Dec 2012 15:00:35 -0300

qt4-x11 (4:4.8.2+dfsg-4) unstable; urgency=medium

  * Really apply add_missing_map_noreserve.patch. Thanks Sune for noticing :)
    (Closes: #685524).
  * Release to unstable. Keep urgency medium because of the fix for the CRIME
    attack.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 26 Nov 2012 14:08:14 -0300

qt4-x11 (4:4.8.2+dfsg-3) unstable; urgency=medium

  * Apply disable-SSL-compression-by-default.patch. Disables SSL compression
    by default since this appears to be the a likely cause of the currently
    hyped CRIME attack. Set urgency to medium.
  * Build-conflict against libqtwebkit-dev. Upstream said that this should be
    the correct way of handling this (Closes: #689265).
  * Add fix_jit_crash_on_x86_64.patch, which avoids 32-bit branch offset
    overflows. Taken from upstream.
  * Add add_missing_map_noreserve.patch. The previous patch uncovered a bug
    that happened when memory was reserved in swap. This patch adds a missing
    MAP_NORESERVE and fixes error checking. Taken from upstream.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 23 Nov 2012 22:09:58 -0300

qt4-x11 (4:4.8.2+dfsg-2) unstable; urgency=low

  * Remove Fix-JIT-crash-on-x86-64-avoid-32-bit-branch-offset-o.patch. It seems
    that causes crashes in an hardware-dependant fashion (Closes: #685524).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 27 Aug 2012 17:54:41 -0300

qt4-x11 (4:4.8.2+dfsg-1) unstable; urgency=low

  * Add myself to Uploaders.
  * Remove non-free zlib's RFCs (Closes: #685132):
    - Add prune-nonfree to debian/rules to remove them.
    - Add a note on README.source of what we are removing from the original
      tarball.
  * Add upstream patch Fix-cursor-truncate-to-include-line-position.patch
    needed for Calligra and katepart.
  * Add upstream patch
    Fix-JIT-crash-on-x86-64-avoid-32-bit-branch-offset-o.patch to fix JIT crash
    on x86-64 (avoid 32-bit branch offset overflow) (Closes: #684985).
  * Compress all packages using xz compression. It helps the D-I team to fit
    stuff in the first CD.
  * Close multiarch bugs created by the latest binNMU
    (Closes: #684556, #684678, #684688, #684867).
  * Update symbols files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 18 Aug 2012 16:36:22 -0300

qt4-x11 (4:4.8.2-2) unstable; urgency=low

  * Team upload.
  * Add QTBUG-25324_assistant_segfault_on_start_with_gcc_4.7.patch made by
    Than Ngo to solve a segfault during assistant's startup (Closes: #679874).
  * Add fix_use_after_free_qlocale_unix.patch by Julien Cristau to fix the
    use of a variable after free in src/corelib/tools/qlocale_unix.cpp
    (Closes: #681476).
  * Update symbols files with build logs from other archs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 01 Aug 2012 22:30:50 -0300

qt4-x11 (4:4.8.2-1) unstable; urgency=low

  * New upstream release.

  * Drop patches, merged/stolen from upstream:
    - QTBUG-24718_Fix_a_crash_in_cursorToX_when_new_block_is_added.patch
    - fix_qvfb_build.patch
    - gcc-4.7.diff
  * Refresh patches.
  * Confirm symbol files on all Debian arches for 4.8.1 and on amd64 for 4.8.2.
  * Mark qdesigner_internal symbols as (optional=internal).

 -- Modestas Vainius <modax@debian.org>  Sun, 10 Jun 2012 12:09:51 +0300

qt4-x11 (4:4.8.1-2) unstable; urgency=low

  * Team upload.

  [ Didier Raboud ]
  * Add libqt4-dev Breaks against libphonon-dev << 4:4.6.0.0-1+exp1~
    because otherwise phonon might not be there in its multiarch'ed
    version, hence might not be detected by the usual cmake Qt modules
    detectors.

  [ Pino Toscano ]
  * Change the Homepage to http://qt-project.org/.
  * Backport the upstream commit 9e981c4dd03effc2c52b52f529edfa8955e534ce to
    fix plugin loading on big endian 64 bit architectures, such as s390x and
    ppc64; patch QElfParser-fix-type-of-sh_size.patch.
  * 07_trust_dpkg-arch_over_uname-m.diff: fix the hppa case (see bug #672825).
  * Suggest libicu48 in libqtcore4 for the optional locale functions.
  * Disable the warnings about not being able to load ICU libraries;
    patch no_libicu_message.diff. (together with the above it Closes: #673537)
  * Recommend libqt4-dbg in libqt4-designer-dbg, libqt4-qt3support-dbg,
    libqt4-script-dbg, libqt4-xmlpatterns-dbg, qt4-bin-dbg, and qt4-demos-dbg.
  * Override the two lintian warnings for dbg-package-missing-depends, since
    they are false positives.
  * Fix a hypen-as-minus issue in moc-qt4 man page.
  * Change the section of libqt4-webkit-dbg to oldlibs, since it is a
    transitional package.
  * Small touches to the descriptions of packages, including specifying some
    of the tools included in libqt4-dev-bin and qt4-dev-tools.

  [ Felix Geyer ]
  * Update watch file to the new URL on qt-project.org.

  [ Modestas Vainius ]
  * Confirm symbol files on all Debian arches.

 -- Modestas Vainius <modax@debian.org>  Sat, 02 Jun 2012 16:05:32 +0300

qt4-x11 (4:4.8.1-1) unstable; urgency=low

  * New upstream release.

  [ Fathi Boudra ]
  * Use multiarch for importsdir:
    - update debian/libqt4-declarative-*.install files.
    - mark QML plugin packages as Multi-Arch: same.
  * Re-add patch s390x_jscore.diff to add s390/s390x support in JavaScriptCore.
    The patch was partly merged in Qt 4.8.
  * Add CVE-2011-3922.patch: Stack-buffer-overflow in glyph handling.

  [ Felix Geyer ]
  * Drop fix_ftbfs_format-security.patch, fixed upstream.
  * Refresh patches for the new upstream version.
  * Update symbol files.
  * Add QTBUG-24718_Fix_a_crash_in_cursorToX_when_new_block_is_added.patch,
    cherry-picked from upstream.
  * Make it possible to install libqt4-dev from a foreign architecture while
    having all binaries in the native architecture.
    - Move binaries from libqt4-dev into the new package libqt4-dev-bin.
    - Mark libqt4-dev-bin, qt4-qmake and qt4-linguist-tools as
      Multi-Arch: foreign.
  * Add a dh_strip call for qt4-bin-dbg instead of moving the debug files
    manually.
    - drop mv-qt4-bin-dbg.sh script.
    - drop elfutils build dependency.
  * Bump debhelper build-dependency to 9.
  * Fix hyphen-used-as-minus-sign lintian warnings.
  * Build the documentation in the dh_auto_build-indep target instead of
    dh_auto_install.
  * qt-multiarch-plugin-path-compat.diff: include legacy pre-multiarch qml
    import path.

  [ Didier Raboud ]
  * Merge the 4:4.7.4-3 unstable release: drop fix-format.diff, merged
    upstream.

  [ Pino Toscano ]
  * Fix build failures with GCC 4.7; patch gcc-4.7.diff. (Closes: #667911)
  * Fix atomic support on sparc64, by Aurelien Jarno (thanks!);
    patch qt_atomic_sparc64.patch. (Closes: #647265)
  * Remove ${shlibs:Depends} from all the -dbg packages.
  * Compress qt4-doc-html as XZ.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 01 May 2012 12:15:56 +0300

qt4-x11 (4:4.8.0-1) experimental; urgency=low

  * New upstream release.

  [ Fathi Boudra ]
  * Drop patches (stolen upstream):
    - Fix_builds_with_compilers_without_--with-fpu_neon_as_default.patch
    - Update_createwindow_in_qgl_x11egl.patch
    - Improve-performance-of-partial-updates-in-raster-win.patch
    - Fix_transformIsSimple_in_QGraphicsScene.patch
    - Micro-optimization_for_QSpanData.patch
    - Some_Optimizations_for_the_gray_raster.patch
    - Make_use_of_the_fast_image_paths.patch
    - Fixed_bug_in_X11_backend_when_creating_translucent_windows.patch
    - Take_Xft.hintstyle_by_default_to_match_the_behavior_of_GTK+.patch
    - Fix_fontconfig_usage_in_X11_font_database.patch
    - Bug-fix-Allow-QTDIR-to-contain-regex-metacharacters.patch
    - armv6_Include_explicitly_IT_instructions.patch
    - armv6_Add_support_for_ARMv7_atomic_operations.patch
    - s390x_jscore.diff
    - blacklist-diginotar-cert.diff
    - Remove_QtHelp_dependency_on_QtXml.patch
  * Drop openssl_no_ssl2.patch - fixed upstream.
  * Add patches:
    - qt-multiarch-plugin-path-compat.diff - include legacy pre-multiarch
      plugin path.
    - fix_ftbfs_format-security.patch - due to debian/compat bump to 9, Qt is
      built with -Werror=format-security and trigger an error: format not a
      string literal and no format arguments.
    - fix_qvfb_build.patch - fix qvfb build on Qt 4.8.0
    - QTBUG-14724_close_orphaned_file_descriptors_after_printing.patch
    - QTBUG-21900_Buttons_in_Qt_applications_not_clickable_when_run_under_
      gnome-shell.patch
    - add_missing_method_for_QBasicAtomicPointer_on_s390.patch
  * Update debian/compat: bump to 9 for multiarch.
  * Update debian/control:
    - mark Qt libraries as Multi-Arch.
    - build-depends on firebird-dev package. (Closes: #653378)
    - suggests libthai0 to libqtcore4. (Closes: #652712)
    - build-depends on elfutils for mv-qt4-bin-dbg.sh script.
    - build-depends on libicu-dev package.
    - bump debhelper build-dependency to 8.9.13.
    - build-depends on dpkg-dev >= 1.16.1.
    - bump pkg-kde-tools build-dependency to 0.14.2.
    - recommends imagemagick or gifsicle to qmlviewer.
  * Update debian/rules:
    - add DEB_HOST_MULTIARCH support for libdir/plugindir.
    - remove -qt-gif configure option - removed upstream.
    - use ts-all target. The ts target has been removed.
    - call mv-qt4-bin-dbg.sh to move the binaries in qt4-bin-dbg package.
    - replace LDFLAGS by DEB_LDFLAGS_MAINT_APPEND usage.
    - add -icu configure option.
  * Update debian/*.install files:
    - update paths for multiarch.
    - headers, translations, qmlplugindump.
  * Update debian/*.symbol files.
  * Add mv-qt4-bin-dbg.sh script: with debhelper compat 9, dh_strip puts
    separated debug symbols in a location based on their build-id. The script
    moves the debug files for the binaries in the qt4-bin-dbg package.

  [ Pino Toscano ]
  * Use the hurd-g++ mkspec when building on Hurd:
    - add mkspecs/hurd-g++/qmake.conf in 01_debian_append_qt4_suffix.diff
    - update the platform_arg in debian/rules

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 22 Dec 2011 17:50:13 +0200

qt4-x11 (4:4.7.4-3) unstable; urgency=low

  * Team upload.
  * Add CVE-2011-3922.patch: Stack-buffer-overflow in glyph handling.

  [ Pino Toscano ]
  * Switch the libpng12-dev build dependency to libpng-dev. (Closes: #662484)
  * Fix build failure with -Werror=format-security (patch fix-format.diff).
  * Use dpkg-buildflags to set CFLAGS, CXXFLAGS and LDFLAGS and export them;
    Qt's build system does not support CPPFLAGS, so they are just appended
    to CFLAGS and CXXFLAGS. (Closes: #657637)
  * Set the proper section (utils) for qdbus; thanks to Jonas Smedegaard.
    (Closes: #663079)
  * Bump Standards-Version to 3.9.3, no changes required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 24 Mar 2012 19:25:33 -0300

qt4-x11 (4:4.7.4-2) unstable; urgency=low

  * Update debian/rules: build documentation in dh_auto_install so it is only
    built when arch-all packages are generated. (Closes: #653427)

 -- Fathi Boudra <fabo@debian.org>  Thu, 05 Jan 2012 22:23:02 +0200

qt4-x11 (4:4.7.4-1) unstable; urgency=low

  * New upstream release.
    - QTreeView crash in indexRowSizeHint/itemHeight. (Closes: #632855)
    - include fixes for CVE-2011-3193 and CVE-2011-3194. (Closes: #641738)
  * Add Pino Toscano to Uploaders.
  * Remove patches:
    - Fix_GL_problems_on_stock_1.4_SGX_drivers.patch - stolen upstream.
    - Fixed_missing_text_when_using_static_text_items_in_GL_2_engine.patch -
      stolen upstream.
    - Prevent_recursion_when_creating_window_surface.patch - stolen upstream.
    - Check-if-the-interpolators-have-already-been-deleted.patch - stolen
      upstream.
    - 21_qt_ia32_library_path.diff - interacts incompatibly with the multiarch
      path resolution and should be obsolete anyway now that multiarch is
      available: we should drop qt from the next ia32-libs upload.
  * Add patches:
    - openssl_no_ssl2.patch - OpenSSL in Debian dropped the insecure SSLv2
      protocol. (Closes: #640210)
    - Remove_QtHelp_dependency_on_QtXml.patch - (Closes: #641753)
  * Break qdbus out into a separate 'qdbus' package and make it a dependency of
    libqt4-dbus, because some things will use this at runtime. It makes
    libqt4-dbus genuinely multiarch-installable.
  * Update debian/rules:
    - add -reduce-relocations configure option.
  * Update debian/libqt4-declarative.install: rename libtcpserver.so to
    libqmldbg_tcp.so.
  * Add libqt4-declarative-shaders package.
  * Update symbol files.

  [ Pino Toscano ]
  * Force a non-parallel build on ia64, maybe it fixes the build on this arch.
  * Add patch Bug-fix-Allow-QTDIR-to-contain-regex-metacharacters.patch to fix
    the headers generation if the source path contains special characters
    (like '+').

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 14 Dec 2011 14:15:47 +0100

qt4-x11 (4:4.7.3-8) unstable; urgency=low

  [ Pino Toscano ]
  * Use the linux-g++ mkspec on alpha and ia64. (Closes: #640981)

  [ Sune Vuorela ]
  * Switch to firebird 2.5 given that 2.1 is currently broken.
  * Add diginotar blacklists patches, taken from upstream.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 10 Sep 2011 12:34:54 +0200

qt4-x11 (4:4.7.3-7) unstable; urgency=low

  [ Pino Toscano ]
  * Use DEB_HOST_ARCH_BITS to really detect 64bit architectures.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 10 Aug 2011 14:00:11 +0200

qt4-x11 (4:4.7.3-6) unstable; urgency=low

  [ Pino Toscano ]
  * Add patch Check-if-the-interpolators-have-already-been-deleted.patch
    to fix QVariantAnimation::registerInterpolator() crash during global dtors
    run. (Closes: #635724)
  * Add patch s390x_jscore.diff to add s390/s390x support in JavaScriptCore.
    (Closes: #636544)
  * Compile using the linux-g++-64 mkspec on s390x.
  * Improve wording in description of qt4-qmlviewer.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 09 Aug 2011 18:27:34 +0200

qt4-x11 (4:4.7.3-5) unstable; urgency=low

  [ Fathi Boudra ]
  * Add support for vendor specifics in debian/rules.

  [ Pino Toscano ]
  * Revert the switch to GL ES 2 on armel and armhf architectures for now,
    as it is binary incompatible and creates issues with code explicitly
    using GL API. (Closes: #632602)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 06 Jul 2011 03:42:41 +0300

qt4-x11 (4:4.7.3-4) unstable; urgency=low

  * Update Fix_fontconfig_usage_in_X11_font_database.patch to fix crashes in
    various Qt/KDE applications. (Closes: #631652)

 -- Fathi Boudra <fabo@debian.org>  Sat, 25 Jun 2011 21:22:37 +0300

qt4-x11 (4:4.7.3-3) unstable; urgency=low

  [ Fathi Boudra ]
  * Split Qt debug package a bit more: introduce libqt4-designer-dbg,
    libqt4-qt3support-dbg, libqt4-script-dbg and qt4-bin-dbg packages.
  * Add libqt4-dev-private package: ship Qt private headers to build Qt Creator
    QML Designer plugin.
  * Add rsync build dependency (easy way to preserve relative path names).
  * Add missing epoch for qt4-linguist-tools Breaks/Replaces. (Closes: #630917)
  * Add patches:
    - Take_Xft.hintstyle_by_default_to_match_the_behavior_of_GTK+.patch
    - Fix_fontconfig_usage_in_X11_font_database.patch

  [ Pino Toscano ]
  * Use wildcard architectures:
    - !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386 -> linux-any

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 20 Jun 2011 15:29:58 +0300

qt4-x11 (4:4.7.3-2) unstable; urgency=low

  * Add patches:
    - Fixed_bug_in_X11_backend_when_creating_translucent_windows.patch
    - Fix_builds_with_compilers_without_--with-fpu_neon_as_default.patch
      NEON_SOURCES would be (incorrectly) compiled without -mfpu=neon,
      resulting in build failure. This also moves -mfpu=neon after CXXFLAGS,
      as CXXFLAGS may contain -mfpu=vfpv3-d16.
    - armv6_Include_explicitly_IT_instructions.patch
    - armv6_Add_support_for_ARMv7_atomic_operations.patch, instead of GCC
      intrinsics patch for armhf.
  * Build Qt with GL ES 2 on armel and armhf architectures:
    - debian/control: add libgles2-mesa-dev | libgles2-dev build-dependencies.
    - debian/rules: pass -opengl es2 configure option.
  * Add a separate package for lupdate and lrelease: qt4-linguist-tools.
    (Closes: #629282)

  [Ana Beatriz Guerrero Lopez]
  * Remove myself from Uploaders.

 -- Fathi Boudra <fabo@debian.org>  Mon, 13 Jun 2011 15:51:26 +0200

qt4-x11 (4:4.7.3-1) unstable; urgency=low

  * New upstream release.
  * Remove blacklist_fraudulent_comodo_certificates.diff - stolen upstream.
  * Add patches cherry-picked upstream:
    - Fix_GL_problems_on_stock_1.4_SGX_drivers.patch
    - Fixed_missing_text_when_using_static_text_items_in_GL_2_engine.patch
    - Update_createwindow_in_qgl_x11egl.patch
    - Improve-performance-of-partial-updates-in-raster-win.patch
    - Fix_transformIsSimple_in_QGraphicsScene.patch
    - Micro-optimization_for_QSpanData.patch
    - Some_Optimizations_for_the_gray_raster.patch
    - Make_use_of_the_fast_image_paths.patch
    - Add_support_for_QT_USE_DRAG_DISTANCE_env_var.patch
    - Prevent_recursion_when_creating_window_surface.patch

  [ Pino Toscano ]
  * Build depend on libssl-dev. (Closes: #623596)

  [ Modestas Vainius ]
  * Build with system compiler on s390 (which is 4.6 now). However, in order to
    avoid #606079, build depend >= g++ 4:4.5 on s390.
  * Bump Standards-Version to 3.9.2: no changes needed.
  * Drop blacklist_fraudulent_comodo_certificates.diff patch, upstream.
  * Refresh patches.
  * Build depend on g++-4.6 (>= 4.6.0-7~) [armel] and make libqt4-dev break
    g++-4.6 (<< 4.6.0-7~). (Closes: #625825)
  * Drop 91_s390_use_gstabs.diff patch. It's no longer needed as webkit is not
    built from Qt sources anymore.
  * Drop 89_powerpc_opts.diff patch. No longer needed with gcc 4.4 or later.
  * Build designer library with -gstabs on powerpc to avoid gcc 4.6 dwarf2 ICE,
    which makes the package FTBFS (patch powerpc_designer_gstabs.diff).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 04 May 2011 13:08:38 +0300

qt4-x11 (4:4.7.2-4) unstable; urgency=low

  [ José Manuel Santamaría Lema ]
  * Blacklist a set of fraudulent ssl certificates with the patch
    blacklist_fraudulent_comodo_certificates.diff.
  * Fix CVE-2010-3170 (browser wildcard cerficate validation weakness) with
    cve_2010_3170_ssl_certificates_wildcard.diff. This problem affects the Arora
    web browser.

  [ Pino Toscano ]
  * FireBird/ibase:
    - rules: enable the ibase plugin only if the libqt4-sql-ibase package is
      enabled for the current architecture (this allows to get rid of an
      hardcoded list of architectures in rules).
    - control: synchronize the list of architectures of libqt4-sql-ibase
      to be the same as the one of the firebird2.1-dev build dependency.
      This should make libqt4-sql-ibase available to few more architectures.
    - control: add sh4 to the architectures for libqt4-sql-ibase.
      (Closes: #623282)
  * Add patches:
    - powerpcspe.diff: identify PowerPCSPE as PowerPC. (Closes: #623185)
    - sh.diff: identify correctly sh4 CPUs. (Closes: #623281)
  * Update debian/control:
    - qt4-dev-tools: suggest qt-assistant-compat instead of qt4-dev-tools,
      as the former now contains the old assistant with uses HTML documentation.
  * debian/qt4-qmake.links:
    - stop forcing the "default" symlink of the mkspecs to linux-g++, just let
      Qt create it according to the platform.

  [ Modestas Vainius ]
  * Add patch kfreebsd_monotonic_clock.diff which fixes monotonic clock
    detection on kFreeBSD. This should unbreak QProcess::waitForFinished().
    (Closes: #624679)
  * Update symbol files for all debian arches.
  * Update symbol files for gcc 4.6 on amd64.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 02 May 2011 01:18:05 +0300

qt4-x11 (4:4.7.2-3) unstable; urgency=low

  [ Pino Toscano ]
  * Change the directory used for the hppa readdir test from doc/html (which
    gets removed in clean) to doc/src/images.
  * Set earlier the compiler for s390. (really closes: #606079)
  * Update Homepage.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 22 Mar 2011 10:21:55 +0100

qt4-x11 (4:4.7.2-2) unstable; urgency=low

  [ Konstantinos Margaritis ]
  * armhf support. (Closes: #618670)
    backport from Ubuntu:
    * http://launchpadlibrarian.net/66374974/x-0003-Use-GCC-intrinsics-for-armv6-atomic-operations.patch

  [ Sune Vuorela ]
  * Use gcc4.5 on s390 (Closes: #606079)
  * Make qt4-dev-tools conflict with qt3-dev-tools-embedded (due to
    qvfb). Closes: 617579

 -- Sune Vuorela <sune@debian.org>  Sat, 19 Mar 2011 18:00:06 +0100

qt4-x11 (4:4.7.2-1) unstable; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Confirm symbol files on hurd-i386, kfreebsd-amd64, kfreebsd-i386, mips.
  * Clean up #MISSING symbols because they didn't reappear on any arch.

  [ Fathi Boudra ]
  * Update installed files.
  * Remove patches:
    - 0001_backport_e3f1268_alsa_buffer_overrun.diff - stolen upstream.
    - 0002_backport_6ae84f1_fix_QTextEdit_selectAll_crash.diff - stolen
      upstream.
    - 17_add_postgresql_8.3_support.diff - fixed upstream.
    - 22_use___GLIBC__.diff - merged upstream.
  * Add patches:
    - qtdebug_syslog.patch - send Q_ASSERT, qDebug, qWarning and qFatal
      messages to syslog.
    - buildable_appchooser_states_demos.patch - images files aren't shipped
      (Closes: #616500)
  * Update symbols files.
  * Update debian/rules:
    - remove catalan translation, obsolete and should have been contributed
      upstream.
    - pass -opengl desktop and -no-egl configure options. (Closes: #616391)
  * Update debian/control:
    - Suggests/Recommends QML plugin packages to libqt4-declarative and
      qt4-demos packages. (Closes: #597900)

  [ Pino Toscano ]
  * Add a -qt4 suffix for the shipped icons of assistant, designer, linguist,
    and qtconfig.
  * Rename qt4config.desktop to qtconfig-qt4.desktop.

 -- Fathi Boudra <fabo@debian.org>  Thu, 03 Mar 2011 20:58:36 +0200

qt4-x11 (4:4.7.1-2) experimental; urgency=low

  [ Pino Toscano ]
  * libqt4-network.install: specify the single directory with bearer plugins,
    instead of the single plugins; this avoids build failures due to few
    bearers being compiled for Linux only. (Closes: #606063)
  * Update debian/control:
    - Add qt4-qmlviewer as suggestion for libqt4-declarative and qt4-demos.

  [ Modestas Vainius ]
  * Confirm symbol files for 4.7.1 on alpha, armel, i386, ia64, mipsel,
    powerpc, sparc.
  * Add appropriate Build-Depends-Package field to libqt4-declarative and
    libqt4-openvg symbol files.

  [ Frederik Schwarzer ]
  * Add upstream patch
    0002_backport_6ae84f1_fix_QTextEdit_selectAll_crash.diff
    that fixes a crash when using the backspace key under
    various circumstances. (Closes: #606405)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 18 Dec 2010 18:54:28 +0200

qt4-x11 (4:4.7.1-1) experimental; urgency=low

  * New upstream release. (Closes: #605364)

  [ Fathi Boudra ]
  * Remove patches:
    - 0001_webkit_self_injection_into_qt_configuration.patch - stolen upstream
    - 0002_fix_qstatictext_with_opengl1_engine.patch - stolen upstream
    - 0003_add_three_new_style-hints_to_qfont.patch - stolen upstream
    - 0004_fix_qstatictext_copy_constructor.patch - stolen upstream
  * Refresh patches.
  * Update installed files.
  * Update symbols files.

  [ Pino Toscano ]
  * Rework and replace patch 50_kfreebsd_build_fix.diff with two new patches:
    - 22_use___GLIBC__.diff: use __GLIBC__ instead of Q_OS_LINUX for GLIBC
      functions
    - 50_kfreebsd_Q_OS.diff: define Q_OS_FREEBSD_KERNEL for kFreeBSD
  * Add a new patch 01_debian_append_qt4_suffix.diff, which contains all the
    changes for appending the -qt4 suffix to various tools; it is the result
    of the merge of the following patches (which are removed, as obsolete):
    - 01_qmake_for_debian.diff
    - 02_launch_assistant-qt4.diff
    - 03_launch_moc-qt4.diff
    - 04_launch_uic-qt4.diff
    - 05_append_qt4_target.diff
  * Demote qt4-qtconfig from recommend to suggest of libqtgui4.
    (Closes: #599635)
  * Remove sharutils from Build-Depends, as there is no more need to uudecode
    binaries at install time.

  [ Modestas Vainius ]
  * Merge revisions from 4:4.6.3-1 to 4:4.6.3-4:
    - refresh 23_permit_plugins_built_with_future_qt.diff patch;
    - bump libqt4-dbus Replaces/Breaks against libqt4-dev to << 4:4.7.1 because
      4:4.7.0~rc1-1 still has dbus.1 manpage misplaced;
    - remove merged patches which were backported from upstream:
      - 0005_fix_detection_of_headers_files.diff
      - 0006_webkit_propriotary_flash_init_gtk_first.diff
      - 0007_qsslsocket_improve_error_handling_CVE-2010-2621.patch
      - 22_fix_disappearing_cursor.diff
  * Bump debian/compat to 7. This source package uses dh v7.
  * Confirm symbol files for 4.7.0~rc1 on alpha armel hurd-i386 i386 ia64
    kfreebsd-amd64 kfreebsd-i386 mipsel powerpc sparc (based on experimental
    build logs).
  * Drop a couple of patches as recommended by Thiago and Jonathan:
    - 0180-window-role.diff - rejected by upstream, unnecessary KDE apps have
      names already;
    - 0209-prevent-qt-mixing.diff - should be dropped;
    - 0216-allow-isystem-for-headers.diff - mac only skip it;
    - 09_qmake_lflags_as-needed.diff - configure script supports LDFLAGS
      nowadays. Drop the patch and export appropriate LDFLAGS in debian/rules
      instead.
  * Do not pass --sourcedir=debian/tmp to dh_install anymore. Not needed for
    compat level 7 or higher.
  * Remove quilt from Build-Depends. It's no longer needed for source format
    3.0 (quilt).
  * Confirm symbol files for official 4.7.1 on amd64.
  * 4.7.1 tarball ships with bogus executable bits on some data files in
    mkspecs, docs, examples and demos subdirs. Remove those -x bits when files
    are installed to debian/tmp.
  * Fix formatting error in the qmake-qt4.1 manpage at line 83.
  * Use dh_auto_* wrappers in place of $(MAKE) within debian/rules in order to
    get automatic handling of parallel building settings for these calls.
  * Backport patch 0001_backport_e3f1268_alsa_buffer_overrun.diff to fix
    potential buffer overrun in ALSA QAudioInput implementation. Thanks to
    Gregor Herrmann for heads up. (Closes: #603052)
  * Patch bin/synqt to generate sane timestamp for symlinks of non existing
    headers. This is needed to avoid timestamp screw up for QtConfig
    header-symlink file.
    Patch 02_syncqt_sane_timestamp_for_nonexisting_headers.diff.
  * Do not run syncqt before ./configure in debian/rules. Simply remove include
    directory forcing ./configure to run syncqt for us.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 05 Dec 2010 19:50:11 +0200

qt4-x11 (4:4.7.0~rc1-1) experimental; urgency=low

  * New upstream release.
  * Remove 0001_add_webkit_qt_config.patch in favor of
    0001_webkit_self_injection_into_qt_configuration.patch.
  * Add patches:
    - 0002_fix_qstatictext_with_opengl1_engine.patch
      OpenGL1 paint engine transforms text coordinates itself and
      does not require QStaticText to use device coordinates.
    - 0003_add_three_new_style-hints_to_qfont.patch
      Add three new style-hints to QFont to match CSS generic font families.
    - 0004_fix_qstatictext_copy_constructor.patch
      Fix QStaticText copy constructor to also copy text option property.
  * Update debian/control:
    - bump Standards-Version to 3.9.1 (no changes needed).
    - add libqt4-assistant and libqt4-webkit-dbg dummy transitional packages.
  * Update debian/rules:
    - add -no-openvg configure option.
  * Refresh patches.
  * Update installed files.
  * Update symbols files.

 -- Fathi Boudra <fabo@debian.org>  Thu, 26 Aug 2010 19:54:00 +0300

qt4-x11 (4:4.7.0~beta2-3) experimental; urgency=low

  * Add 0001_add_webkit_qt_config.patch to load modules .pri files.
    Fix the detection of Qt WebKit when shipped standalone.
  * Update debian/control:
    - remove references to Debian in package descriptions
      (derivatives friendly).
    - add libqtwebkit-dev to libqt4-dev package.
    - remove libpulse-dev build dependency. It's used to build Phonon.

 -- Fathi Boudra <fabo@debian.org>  Tue, 20 Jul 2010 16:55:20 +0300

qt4-x11 (4:4.7.0~beta2-2) experimental; urgency=low

  [ Fathi Boudra ]
  * Remove qt_webkit_version.pri file, installed inconditionaly.
    It conflicts with qt_webkit_version.pri shipped in Qt WebKit.

  [ Modestas Vainius ]
  * Make libqt4-dev conflict with libqtwebkit-dev less broad: (<< 2.0~). The
    latest version which this conflict is supposed to cover is 0~svn29752-1.
  * Add Breaks (or turn Conflicts into Breaks) next to Replaces as recommended
    by policy 3.9.0.
  * Remove conflicts against old (predating etch) qt-x11-free (Qt3) packages.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 13 Jul 2010 16:20:28 +0300

qt4-x11 (4:4.7.0~beta2-1) experimental; urgency=low

  * New upstream release.
  * Remove Qt Multimedia, Qt MediaServices and Qt WebKit packages.
  * Remove Debian patches:
    - 81_hurd_architecture.diff - merged upstream.
    - 97_alpha_ftbfs_qatomic_alpha_h_types.diff - merged upstream.
  * Update debian/control:
    - bump Standards-Version to 3.9.0.
    - remove libqt4-declarative-widgets package.
    - add libqt4-declarative-folderlistmodel package.
    - add libqt4-declarative-gestures package.
    - add libqt4-webkit dummy transitional package for the libqtwebkit4
      package.
  * Update debian/rules:
    - replace -multimedia by -no-multimedia configure option.
    - replace -webkit by -no-webkit configure option.
    - remove leftover directories in override_dh_auto_install target.
  * Update installed files.
  * Update symbols files.
  * Update debian/copyright: include files licensed under a BSD-style license.

 -- Fathi Boudra <fabo@debian.org>  Thu, 08 Jul 2010 16:59:50 +0300

qt4-x11 (4:4.7.0~beta1-1) experimental; urgency=low

  * New upstream release.
    - QtAssistant client library removal (libqt4-assistant).
    - legacy Qt Assistant removal (assistant_adp).
    - new QtDeclarative module (libqt4-declarative).
    - new QtMediaServices module (libqt4-mediaservices).
  * Remove upstream patches:
    - 0001_qpixmap_load_no_modify_referenced_copies.diff - stolen upstream
    - 0002_qmake_qfileinfo_absolutepath.diff - stolen upstream
    - 0003_s390_fix_atomic_ops_related_crashes.diff - stolen upstream
    - 0004_problem_displaying_half_width_character.diff - stolen upstream
    - 0005_always_redraw_the_complete_control.diff - stolen upstream
    - 0006_expand_indicator_would_not_be_displayed.diff - stolen upstream
  * Remove Debian patches:
    - 82_hurd_SA_SIGINFO.diff - merged upstream
    - 95_sparc_platform_definition.diff - merged upstream
    - 98_alpha_ftbfs_wtf_platform_support.diff - stolen upstream
  * Refresh Debian patches:
    - 30_webkit_unaligned_access.diff - partially merged upstream
  * Update debian/control:
    - add libgstreamer0.10-dev, libgstreamer-plugins-base0.10-dev,
      libpulse-dev and libxv-dev build dependencies.
    - add libqt4-declarative, libqt4-mediaservices,
      libqt4-declarative-$PLUGINS and qt4-qmlviewer packages.
    - remove libqt4-assistant package.
  * Update debian/rules:
    - add -importdir configure option.
  * Update installed files.
  * Update symbols files.

 -- Fathi Boudra <fabo@debian.org>  Fri, 21 May 2010 10:31:22 +0300

qt4-x11 (4:4.6.3-4+squeeze1) stable; urgency=low

  [ José Manuel Santamaría Lema ]
  * Blacklist a set of fraudulent ssl certificates; to perform this
    blacklisting we need these patches:
    - blacklist_fraudulent_comodo_certificates.diff
    - ssl_certificate_large_sn.diff
  * Fix CVE-2010-3170 (browser wildcard cerficate validation weakness) with
    cve_2010_3170_ssl_certificates_wildcard.diff. This problem affects the Arora
    web browser.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 17 May 2011 00:26:26 +0300

qt4-x11 (4:4.6.3-4) unstable; urgency=high

  [ Pino Toscano ]
  * Update debian/control:
    - make libqtgui4 recommend libcups2, as it dlopen's cups for the printing
      support
    - drop suggestion of a browser from qt4-doc, as it does not contain any
      HTML documentation.

  [ Modestas Vainius ]
  * Confirm 4.6.3 symbol files on the rest (!amd64) of arches. All symbols
    affected are optional. Also remove old stale MISSING symbols in the
    process.
  * Backport 22_fix_disappearing_cursor.diff patch from 4.7.1 to fix a bug
    with mouse cursor disappearing randomly on various widgets (QTreeView,
    QListView etc.).
  * Add 23_permit_plugins_built_with_future_qt.diff patch to permit loading
    plugins built with future version of Qt. This should restore full
    compatibility with symbol files. (Closes: #586831)
  * Urgency=high due to RC bug fix.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 16 Oct 2010 04:05:32 +0300

qt4-x11 (4:4.6.3-3) unstable; urgency=low

  * Update debian/control: add missing Replaces libqt4-dev (<< 4:4.6.3-2) to
    libqt4-dbus package.
  * Update debian/rules: replace -dbus configure option by -dbus-linked to link
    against dbus library instead of dlopen it. (Closes: #599224)

 -- Fathi Boudra <fabo@debian.org>  Wed, 06 Oct 2010 12:57:17 +0300

qt4-x11 (4:4.6.3-2) unstable; urgency=low

  [ Fathi Boudra ]
  * Add upstream patch:
    - 0005_fix_detection_of_headers_files.diff
      Disable the include generation if a dot which is not followed by [hH]
      is found after the last path separator. This implies that dots in
      directory names are now ignored, and that files without an extension are
      always considered headers (e.g., STL headers and Qt forwarding headers).
      (Closes: #586166)
    - 0007_qsslsocket_improve_error_handling_CVE-2010-2621.patch
      Improve error handling in QSslSocket. (Closes: #587711)
  * Fix qdbus manpage install. It is misplaced. (Closes: #588985)

  [ Modestas Vainius ]
  * Fix debian/control Vcs fields to point to the new location.

  [ Sune Vuorela ]
  * Steal 0006_webkit_propriotary_flash_init_gtk_first patch from upstream
    to make webkit not crash when loading adobe flash plugin.
    This is related to a change in flashplugin.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 06 Sep 2010 09:03:32 +0300

qt4-x11 (4:4.6.3-1) unstable; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Expand 96_webkit_no_gc_sections.diff to cover mips(el) as well. Hopefully,
    this will make linker less memory demanding and solve out-of-memory
    condition on buildds.
  * Add usleep(1000) before fork() in QProcess on hppa in order to decrease
    failure rate caused by #561203. Hopefully, probablity of the failure
    becomes so low that packages do not FBTFS anymore. This hack is just an
    ugly but very needed workaround for a common manifestation of the bug in
    QProcess (patch 99_hppa_bug561203_decrease_failure_rate.diff).

  [ Fathi Boudra ]
  * Remove upstream patches:
    - 0001_qpixmap_load_no_modify_referenced_copies.diff - stolen upstream 
    - 0002_qmake_qfileinfo_absolutepath.diff - stolen upstream 
    - 0003_s390_fix_atomic_ops_related_crashes.diff - stolen upstream 
    - 0005_always_redraw_the_complete_control.diff - stolen upstream 
    - 0006_expand_indicator_would_not_be_displayed.diff - stolen upstream 
  * Remove Debian patches:
    - 97_alpha_ftbfs_qatomic_alpha_h_types.diff - merged upstream
    - 98_alpha_ftbfs_wtf_platform_support.diff - merged upstream
  * Refresh Debian patches:
    - 05_append_qt4_target.diff
    - 30_webkit_unaligned_access.diff

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 08 Jun 2010 09:39:56 +0300

qt4-x11 (4:4.6.2-5) unstable; urgency=low

  [ Modestas Vainius ]
  * Update symbol files for armel, hppa and mips.
  * Add 98_alpha_ftbfs_wtf_platform_support.diff: support for alpha to QtScript
    copy of wtf/Platform.h. This change fix FTBFS on alpha.

  [ Fathi Boudra ]
  * Add upstream patches:
    - 0004_problem_displaying_half_width_character.diff (Closes: #578604)
      QTBUG-1726 - Fixed problem displaying half width character as full width.
    - 0005_always_redraw_the_complete_control.diff (Closes: #578606)
      QTBUG-8807 - Always redraw the complete control when an input event comes
      in.
    - 0006_expand_indicator_would_not_be_displayed.diff
      QTBUG-7443 - Expand indicator would not be displayed after removal of a
      collapsed item's child.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 18 Apr 2010 23:42:13 +0300

qt4-x11 (4:4.6.2-4) unstable; urgency=low

  [ Modestas Vainius ]
  * Revert previous s390 specific change as it did not solve FTBFS.
  * Do not link webkit with -Wl,--gc-sections on s390. This should workaround
    FTBFS on s390 caused by internal linker error which is due to bugs when
    processing UString.o and some others (built with -ffunction-sections).
    Implemented in the 96_webkit_no_gc_sections.diff patch.
  * Steal patch from upstream 4.6 branch to fix s390 atomic ops related
    crashes. One of them made the package to FTBFS. Upstream commit:
    cdf4701f442149546043b155cddcc53116875f1c
  * Update symbol files for amd64, i386, ia64, kfreebsd-amd64, kfreebsd-i386,
    powerpc, s390, sparc.
  * Release to unstable (Closes: #571990). Finally!

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 14 Apr 2010 20:56:19 +0300

qt4-x11 (4:4.6.2-3) experimental; urgency=low

  [ Sune Vuorela ]
  * Do not build webkit with debugging symbols on s390. These becomes too big
    and thus the build fails, as the linker can't handle more than a couple of
    GB large files, and debugging symbols on s390 are real large. This is a
    repetition of #528485
  * Also add the GNU/kFreeBSD patch from 4:4.6.2-1 to the second
    JavaScriptCore copy (used for QtSCript)

  [ Modestas Vainius ]
  * Clean target: limit application/x-executable lookup to executable files.
    This should speed up clean target a lot.
  * Add 97_alpha_ftbfs_qatomic_alpha_h_types.diff patch to fix FTBFS on alpha
    caused by invalid type conversions in qatomic_alpha.h.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 10 Apr 2010 01:00:49 +0300

qt4-x11 (4:4.6.2-2) experimental; urgency=low

  [ Fathi Boudra ]
  * Add upstream patches:
    - 0001_qpixmap_load_no_modify_referenced_copies.diff
      Fixed QPixmap::load() to not modify referenced copies.
    - 0002_qmake_qfileinfo_absolutepath.diff
      Fixed QFileInfo::absolutePath() warning when running "qmake -project"
      (Closes: #574043)
  * Fix FTBFS on sparc caused by a wrong platform_arg value:
    check for exact string match (instead of findstring usage).
  * Fix FTBFS on ia64: -m64 option isn't recognized by gcc.
    set platform_arg to linux-g++ on this architecture.
  * Switch to dpkg-source 3.0 (quilt).
  * Fix some lintian warnings.
  * Add libqt4-phonon lintian overrides.
  * Update applications icons.

  [ Pino Toscano ]
  * Make more use of the dpkg source 3.0 format: directly ship the binary files
    (PNG icons and qch) instead of uuencode them at install time.
  * Fix watch file to report only stable versions (ie non-tp and non-rc ones).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 04 Apr 2010 09:51:36 +0200

qt4-x11 (4:4.6.2-1) experimental; urgency=low

  * New upstream release (Closes: #571990).
    - Fix a crash in QDBusPendingReply/QDBusReply in case of unconnected calls.
      (Closes: #560838)
    - Fix FTBFS on GNU/kFreeBSD due to lack of WTF_USE_JSVALUE64.
      (Closes: #565731)

  [ Modestas Vainius ]
  * Change my email address to @debian.org one.
  * Restore binary compatibility with binaries built with g++-4.3 on armel
    (patch 92_armel_gcc43_valist_compat.diff). (Closes: #566259)
  * Add symbol files for Qt public libraries. They are based on the 4:4.5.3
    version and upgraded to 4:4.6.1/4:4.6.2 on amd64/i386.
  * Bump build dependency of pkg-kde-tools to version 0.6.4 as it is needed to
    handle symbol files.
  * Build depend on libjpeg-dev rather than libjpeg62-dev.
  * Drop Phonon from Qt. Leave only libqt4-phonon package which sole purpose is
    to enable bootstraping of new arches.

  [ Fathi Boudra ]
  * Add debian/patches/95_sparc_platform_definition.diff patch to fix build for
    32-bit sparc machines.
  * Update debian/rules:
    - Use linux-g++-64 as platform_arg on required architectures (amd64, ia64
      and sparc64).
  * Add 96_powerpc_no_gc_sections.diff: Don't pass -Wl,--gc-sections on powerpc
    when building libQtWebKit.so; works around a binutils bug that results in a
    segfault. Thanks to Steve Langasek.
  * Add 20_install_qvfb.diff: build Qt Virtual Framebuffer (qvfb) tool.
  * Add 51_kfreebsd_strnstr_build_fix.diff: Fix FTBFS on GNU/kFreeBSD caused by
    missing strnstr() on glibc systems.
  * Remove patches:
    - 19_install_qdoc3.diff - merged upstream.
    - 81_hurd_clock_gettime.diff - merged upstream.
    - 0289-context-for-shortcuts-tr.diff - rejected upstream.
  * Merge with Kubuntu:
    - add 21_qt_ia32_library_path.diff patch
      fix ia32 library path (e.g. skype application).
  * Update debian/control:
    - bump Standards-Version to 3.8.4 (no changes needed).
    - build-depend on firebird2.1-dev instead of firebird2.0-dev.
      (Closes: #564683)
    - extend architecture list for firebird2.1-dev.
    - build-depend on libxtst-dev to build qvfb.
    - conflict against qt-x11-free-dbg on libqt4-dbg (qvfb).
    - conflict against qt3-dev-tools-embedded on qt4-dev-tools (qvfb).
  * Update debian/qt4-dev-tools.install: add qvfb binary and the translations.
  * Update debian/rules:
    - add -qvfb configure option.
    - add -audio-backend option.
    - remove qm target call. It isn't needed anymore.
    - bump debhelper build dependency to version 7.4.13 to properly support dh
      options.
    - enable parallel build by passing --parallel option to dh.
    - remove Phonon development files.
  * Update debian/libphonon-dev.install: Include headers have been changed.
    The only official method for including Phonon headers is <phonon/ClassName>
    or <phonon/classname.h>.
  * Add a manpage for qdbus. Thanks to Andreas Marschke. (Closes: #568186)

  [ Pino Toscano ]
  * Update debian/control: Don't build-depends on libasound2-dev for
    GNU/kFreeBSD and GNU/Hurd architectures.
  * Add 81_hurd_architecture.diff: recognize the proper architecture on
    GNU/Hurd. This will make Qt BIC there, but we can live with that.
  * Add 82_hurd_SA_SIGINFO.diff: fix FTBFS on GNU/Hurd causes by unconditional
    usage of SA_SIGINFO.
  * Adapt watch file to the new file names of the Qt/X11 tarballs.
  * Polish a bit qdbus manpage.
  * Add x-www-browser as alternative in qt4-doc-html's browser suggestion.
  * Suggest qt4-doc-html in qt4-dev-tools, as the latter contains assistant_adp
    which uses such HTML documentation. (Closes: #498701)
  * For now, remove the uic-qt4 manpage, which actually refers to Qt3's uic;
    a totally misleading manpage is worse than no manpage at all. (Closes: #464375)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 01 Mar 2010 13:26:14 +0100

qt4-x11 (4:4.6.0-1) experimental; urgency=low

  * New upstream release.

  +++ Changes by Fathi Boudra:

  * Add french translations.
  * Merge with Kubuntu: add libqt4-sql-tds plugin.

  +++ Changes by Frederik Schwarzer:

  * Fix typos in package descriptions.
    (Closes: #557397, #557396, #557374, #557375, #557376)

 -- Fathi Boudra <fabo@debian.org>  Tue, 01 Dec 2009 14:07:47 +0100

qt4-x11 (4:4.6.0~rc1-1) experimental; urgency=low

  * New upstream release.
  * Remove kde-qt patches:
    - 0288-more-x-keycodes - merged upstream.
  * Update debian/libqt4-dev.install: update installed files.

 -- Fathi Boudra <fabo@debian.org>  Tue, 17 Nov 2009 12:12:36 +0100

qt4-x11 (4:4.6.0~beta1-1) experimental; urgency=low

  * New upstream release.
  * Refresh qt-copy patches: 0180 and 209.
  * Remove qt-copy patches: 0255, 0274, 0280 and 0287.
  * Refresh Debian patches: 01, 05, 09, 11, 16, 18, 19, 30, 40, 41, 50 and 81.
  * Remove upstream patches:
    - 0078-Fix-regressions-in-qeventloop-qtimer-and-qsocketnoti - stolen
      upstream.
  * Remove Debian patches:
    - 14_add_libraries_to_gui_build_where_actually_needed - fixed upstream.
  * Add Debian patches:
    - 12_add_nostrip_for_debug_packages
      Set nostrip to generate debug packages.
  * Update debian/control:
    - Remove Brian Nelson from uploaders field.
      Thanks for his great work on Qt.
    - Drop cdbs build dependency.
    - Add libasound2-dev build dependency.
    - Add libqt4-multimedia package.
  * Update installed files and related lintian files.
  * Rewrite debian/rules, converted to dh usage.
  * Build with -no-separate-debug-info. Adjust debian/rules accordingly.

 -- Fathi Boudra <fabo@debian.org>  Thu, 15 Oct 2009 23:14:56 +0200

qt4-x11 (4:4.5.3-4) unstable; urgency=low

  * Add 08_configure_quilt_compat.diff patch. (Closes: #550127)
    quilt creates '.pc' directory. It breaks qmake projects search.
  * Update debian/rules: re-add -fast configure option.

 -- Fathi Boudra <fabo@debian.org>  Thu, 15 Oct 2009 22:32:28 +0200

qt4-x11 (4:4.5.3-3) unstable; urgency=low

  * Remove -fast configure option. Qt configure has -no-fast as default value
    and will generate Makefiles for all project files, including bootstrap.
    (Closes: #550127)

 -- Fathi Boudra <fabo@debian.org>  Fri, 09 Oct 2009 13:53:57 +0200

qt4-x11 (4:4.5.3-2) unstable; urgency=low

  * Update debian/rules: cleanup make target usage by removing sub-src and
    sub-tools call. Fix a FTBFS on buildds caused by make target ordering.
    (Closes: #550127)

 -- Fathi Boudra <fabo@debian.org>  Thu, 08 Oct 2009 15:31:52 +0200

qt4-x11 (4:4.5.3-1) unstable; urgency=low

  * New upstream release:
    - Fix CVE-2009-2700 - QSSlCertificate  incorrect verification of SSL
      certificate with NUL in subjectAltName. (Closes: #545793)
    - Fix a regresion in Qt 4.5.2 causing a broken clipboard with scim.
      (Closes: #544764, #546282)
    - Fix phonon wrong #include paths. (Closes: #537304)

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Switch from libreadline5-dev to libreadline-dev.

  +++ Changes by Modestas Vainius:

  * VCS changed to git, adjust Vcs-* field in debian/control accordingly.
  * Bump Standards-Version to 3.8.3: no changes needed.
  * Document Git repository policy and packaging workflows in
    debian/README.source.

  +++ Changes by Fathi Boudra:

  * Add upstream patches:
    - 0078-Fix-regressions-in-qeventloop-qtimer-and-qsocketnoti.patch
      Fix regressions in qeventloop, qtimer, and qsocketnotifier autotests.
  * Add Debian patches:
    - 99_build_translations
      Fix translations build when sources comes from git.
  * Add qt-coy patches:
    - 0288-more-x-keycodes.diff
      Fill gap of X.org/XFree multimedia/special/launcher keys. Qt up to 4.5.x
      is missing whole setup of multimedia keys already defined by X.
    - 0289-context-for-shortcuts-tr.diff
      Some languages have special rules for using "+" to concatenate strings
      and for example it needs to be Ctrl + Shift instead of Ctrl+Shift,
      adding context to these strings helps creating a more correct translation
    - 0287-qmenu-respect-minwidth.diff
      If one sets a minimum width on a QMenu and that size is larger than the
      smallest size needed by the large menu item, it ignores the minimum width
      and just uses the largest menu item size.
  * Refresh and adjust patches.
  * Remove patches:
    - 0286-fix-error-string - Merged upstream.
    - 0287-attempt-to-fix-header-installation-for-phonon - Merged upstream.
    - 06_CVE-2009-1725 - Merged upstream.
  * Update debian/control:
    - Switch from iodbc to unixodbc. (Closes: #548976)
  * Update debian/copyright:
    - Update Nokia Qt url.
    - Update Nokia Qt LGPL Exception from version 1.0 to version 1.1.
  * Update *.install and *.lintian files.
  * Update debian/rules:
    - Build translations
    - Generate include directory before configure call.
    - Test file type on *.a cleaning. tests directory contains *.a in their
      names.
    - Make sure translations directory is created before calling lrelease.
  * Update debian/watch:
    - Update Nokia Qt url.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 15 Sep 2009 15:27:39 +0200

qt4-x11 (4:4.5.2-2) unstable; urgency=low

  +++ Changes by Fathi Boudra:

  * Add patch to fix CVE-2009-1725 (Closes: #538347):
    WebKit in Apple Safari before 4.0.2 does not properly handle numeric
    character references, which allows remote attackers to execute
    arbitrary code or cause a denial of service (memory corruption and
    application crash) via a crafted HTML document.

  +++ Changes by Sune Vuorela:

  * Add qt4-dev-tools to -demo recommends just like qt4-doc to make it possible
    to actually use the documentation from the demo application.
    (Closes: #536558)

  +++ Changes by Modestas Vainius:

  * Loosen requirements of the phonon metapackage in the libphonon4 symbols
    file. Too tight dependency causes unnecessary complications installing
    build dependencies on arches which lag behind on Qt4 builds.
  * Build depend on libmysqlclient-dev rather than libmysqlclient15-dev.
    Backports friendly as libmysqlclient-dev is a virtual package in lenny.
  * Likewise, make libqt4-dev suggest libmysqlclient-dev rather than
    libmysqlclient15-dev.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 18 Aug 2009 21:36:48 +0200

qt4-x11 (4:4.5.2-1) unstable; urgency=low

  * New upstream release:
    - QtWebKit
      * Backported various security fixes (r41262, r41568,
        r41741, r41854, r42081, r42216, r42223, r42333,
        r42365, r42532, r42533, r44010)
      (Closes: #532718, #534947) Related to CVE-2009-0945, CVE-2009-1687,
      CVE-2009-1698, CVE-2009-1690 and CVE-2009-1709.

  +++ Changes by Sune Vuorela:

  * Add patch to build s390 debugging symbols with -gstabs instead of with -g,
    to make them a bit smaller. Noone can use a 1G file with debugging
    symbols. (Closes: #528485)

  +++ Changes by Fathi Boudra:

  * Sync qt-copy patches from kde-qt git repository.
  * Refresh patches:
    - 05_append_qt4_target
    - 19_install_qdoc3.diff
  * Remove patches:
    - 20_mips_atomic_ops - Merged upstream.
    - 21_fix_quiloader_wrong_header_translated - Merged upstream.
    - 81_hurd_more_max_path - Merged in 80_hurd_max_path.
    - 90_ia64_boilerplate - Fixed upstream.
    - 0234-fix-mysql-threaded - Fixed upstream.
    - 0273-odbc-64bit-compile - Fixed upstream.
    - 0279-svg-rendering-regression - Fixed upstream.
  * Add patches:
    - 0280-deserialization-custom-dbus-properties.diff
      Fix deserialization of values with custom types when setting properties
      on dbus adaptors.
    - 0286-fix-error-string.diff
      Fix #error line not to have a ' as it's not correct.
    - 0287-attempt-to-fix-header-installation-for-phonon.diff
      This is the long-standing issue of whether Phonon headers should be
      written with a capital P or a lowercase one.
    - 81_hurd_clock_gettime.diff
      Fix FTBFS on hurd-i386. Thanks to Samuel Thibault. (Closes #533526)
  * Add epoch 4 to avoid headache for Phonon handling.
  * Build Phonon from Qt sources:
    - Remove libphonon-dev build dependency.
    - Do not remove phonon files anymore.
    - Keep libphonon4 symbols file and add pkg-kde-tools build dependency.
  * Bump Standards-Version to 3.8.2 (no changes needed).
  * Add qt4-demos-dbg package.
  * Update installed files.

  +++ Changes by Didier Raboud:

  * Add debian/watch file.

  +++ Changes by Frederik Schwarzer:

  * Update manpages

 -- Fathi Boudra <fabo@debian.org>  Thu, 25 Jun 2009 15:23:55 +0200

qt4-x11 (4.5.1-2) unstable; urgency=low

  +++ Changes by Fathi Boudra:

  * Update debian/rules:
    - Build with -opensource configure option to avoid Qt edition question
      triggered on some build setups caused by a bug in configure script.
      (Closes: #525570)
  * Add patch:
    - 21_fix_quiloader_wrong_header_translated.diff
      The header of the QTableWidgets loaded with QUiLoader are not
      translated when the language change. This patch fix the issue.

  +++ Changes by Aurelien Jarno:

  * Add patch:
    - 20_mips_atomic_ops.diff
      Set the mips instruction set to MIPS II around ll/sc in
      qatomic_mips.h. (Closes: #525707)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 03 May 2009 14:22:26 +0200

qt4-x11 (4.5.1-1) unstable; urgency=low

  * New upstream release:
    - QHostAddress: Fixed compilation by adding a missing QPair include.
      (Closes: #524944)
  * Bump Standards-Version to 3.8.1 (no changes needed).
  * Use section debug for -dbg packages.
  * Update Qt homepage.
  * Add patches:
    - 89_powerpc_opts.diff
      Build with -fno-optimize-sibling-calls on powerpc, since it causes a
      build failure with GCC 4.3. Thanks to Colin Watson.
    - 90_ia64_boilerplate.diff
      Don't try to use special hand assembly for printing the boilerplate
      message on ia64, since it causes a build failure due to undefined
      symbols. Thanks to Steve Langasek.
    - 0279-svg-rendering-regression.diff
      This patch fix the regression introduced in 4.5.1 with SVG rendering.
      The problem appear when a gradient reference an another gradient which
      is after in the svg. Plasma cache should be cleared.
  * Remove qt-copy patches:
    - 0245-fix-randr-changes-detecting.diff - Fixed upstream.
    - 0275-qtconcurrent-threadcount.diff - Fixed upstream.
    - 0276-webkit-pedantic.diff - Fixed upstream.
    - 0278-X11-Use-legacy-LCD-filtering-if-specified-in-font-c.diff - Fixed
      upstream.

 -- Fathi Boudra <fabo@debian.org>  Thu, 23 Apr 2009 14:23:06 +0200

qt4-x11 (4.5.0-2) experimental; urgency=low

  * Add qt-copy patches:
    - 0275-qtconcurrent-threadcount.diff
      Calling idealThreadCount() calls sysconfig in every run, as well as
      ignoring the configured number of threads for the main thread pool.
    - 0276-webkit-pedantic.diff
      Fix playground/base/plasma/applet/welcome compile with -pedantic.
    - 0278-X11-Use-legacy-LCD-filtering-if-specified-in-font-c.diff
      If Freetype is built without subpixel rendering, we should use
      the Qt 3 intrapixel filter instead of the bitmap convolution
      when the Legacy LCD filter is chosen. (Closes: #448555)

 -- Fathi Boudra <fabo@debian.org>  Mon, 16 Mar 2009 11:59:24 +0100

qt4-x11 (4.5.0-1) experimental; urgency=low

  * New upstream released:
    - Fix knode 4.2.x crash. (Closes: #516740)
  * Update copyright:
    - Add LGPL license support.
    - Add a sentence about QPL license dropped from Qt 4.4.0.
      (Closes: #508190, #500905)
  * Remove patches:
    - 20_fix_ftbfs_callgrindChildExitCode.diff - Merged upstream.
    - 21_fix_ppc_build.diff - Reverted upstream.
    - 22_fix_qiconvcodec.diff - Merged upstream.
  * Add qt-copy patches:
    - 0274-shm-native-image-fix.diff
      This patch makes the raster graphics system use shared images instead of
      shared pixmaps.

 -- Fathi Boudra <fabo@debian.org>  Tue, 03 Mar 2009 16:40:52 +0100

qt4-x11 (4.5.0~rc1-2) experimental; urgency=low

  * Fix shlibs version. It should be 4.5.0~rc1.
  * Update debian/rules:
    - Build with -phonon and -no-phonon-backend configure options.
    - Remove built phonon and use system phonon.
  * Update debian/control:
    - Add libphonon-dev build dependency.

 -- Fathi Boudra <fabo@debian.org>  Fri, 20 Feb 2009 21:32:16 +0100

qt4-x11 (4.5.0~rc1-1) experimental; urgency=low

  * New upstream release:
    - QGtkStyle is part of Qt 4.5 release. (Closes: #507143)
    - Fix useless warning flood when sockets > 1024. (Closes: #511700)
  * Add libgtk2.0-dev build dependency to enable GTK theme support.
  * Add package libqt4-scripttools: The QtScriptTools module provides
    additional components for applications that use Qt Script.
  * Clean up the prl postprocessing.
  * Build documentations if current version is a snapshot.
  * Update *.install and *.lintian files.
  * Move mkspecs in qt4-qmake package to use qt4-qmake standalone.
  * Add qdoc3 to qt4-dev-tools package.
  * Add Debian patches:
    - 18_enable_qt3support_qtwebkit_debug_info.diff
      On Qt >= 4.5, debug info are disabled for Qt3Support and QtWebkit.
      This patch enable them.
    - 19_install_qdoc3.diff
      Install qdoc3 binary. It is used by Qt Creator.
    - 20_fix_ftbfs_callgrindChildExitCode.diff
      Fix ftfbs on qtestcase.cpp. Stolen from snapshot 20090206.
  * Remove Debian patches:
    - 07_trust_dpkg-arch_over_uname-m.diff - Fixed upstream.
    - 12_fix_qmake_pkgconfig.diff
    - 20_mips_atomic_ops.diff - Fixed upstream.
      In memory of Thiemo Seufer.
      Thanks for his invaluable help on MIPS. He will be missed.
  * Update Debian patches:
    - 02, 03, 04, 05, 09, 14, 15, 16, 17, 30, 40, 41, 50, 71, 80.
  * Remove qt-copy patches:
    - 0167-fix-group-reading.diff - Merged upstream.
    - 0203-qtexthtmlparser-link-color.diff - Merged upstream.
    - 0224-fast-qpixmap-fill.diff - Fixed upstream.
    - 0226-qtreeview-column_resize_when_needed.diff - Fixed upstream.
    - 0238-fix-qt-qttabbar-size.diff - Merged upstream.
    - 0248-fix-qwidget-scroll-slowness.diff - Fixed upstream.
    - 0249-webkit-stale-frame-pointer.diff - Merged upstream.
    - 0254-fix-qgraphicsproxywidget-deletion-crash.diff - Merged upstream.
    - 0256-fix-recursive-backingstore-sync-crash.diff - Fixed upstream.
    - 0257-qurl-validate-speedup.diff - Fixed upstream.
    - 0260-fix-qgraphicswidget-deletionclearFocus.diff - Merged upstream.
    - 0261-sync-before-reset-errorhandler.patch - Merged upstream.
    - 0262-fix-treeview-animation-crash.diff - Merged upstream.
  * Refresh qt-copy patches:
    0180, 0195, 0209, 0216, 0225, 0234, 0245, 0255.

 -- Fathi Boudra <fabo@debian.org>  Fri, 06 Feb 2009 10:03:16 +0100

qt4-x11 (4.4.3-2) unstable; urgency=low

  +++ Changes by Armin Berres:

  * Fix offsets in all patches.
  * Add qt-copy patches:
    - 0255-qtreeview-selection-columns-hidden.diff
    - 0256-fix-recursive-backingstore-sync-crash.diff
    - 0257-qurl-validate-speedup.diff
    - 0260-fix-qgraphicswidget-deletionclearFocus.diff
    - 0261-sync-before-reset-errorhandler.patch
    - 0262-fix-treeview-animation-crash.diff

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 03 Dec 2008 00:54:18 +0100

qt4-x11 (4.4.3-1) unstable; urgency=low

  * New upstream release:
    It includes updated copyright headers, as well as updated application icons
    and other graphics to reflect the look and feel of the new Qt brand.

  +++ Changes by Fathi Boudra:

  * Update copyright.
  * Remove Debian patches:
    - 60_m68k_inotify_fix.diff (merged upstream)

  +++ Changes by Sune Vuorela:

  * Bump shlibs to 4.4.3. Upstream had apparantly by mistake added at least
    one symbol to 4.4.1 that wasn't in 4.4.0, but no way to fix it.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 29 Sep 2008 19:10:52 +0200

qt4-x11 (4.4.2-2) unstable; urgency=low

  +++ Changes by Fathi Boudra:

  * Add missing Replaces to qt4-qmake.
  * Add qt-copy patches:
    - 0254-fix-qgraphicsproxywidget-deletion-crash.diff
      Fix deletion of a qgraphicsproxywidget if it is in a layout.
      It Will be included in Qt 4.4.4.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Small updates in debian/control:
    - Use always Qt 4 instead of Qt4.
    - Remove architectures that are not being worked on anymore.
    - Some typo.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 23 Sep 2008 10:19:36 +0200

qt4-x11 (4.4.2-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Fathi Boudra:

  * Remove upstream patches:
    - 0002_https_lowercase.diff
  * Add Debian patches:
    - 17_add_postgresql_8.3_support.diff
  * Remove Debian patches:
    - 72_generic_arch_atomic_header_fix.diff
  * Sync qt-copy patches:
    * Add:
      - 0245-fix-randr-changes-detecting.diff
      - 0248-fix-qwidget-scroll-slowness.diff
      - 0249-webkit-stale-frame-pointer.diff (fix CVE-2008-3632)
    * Remove:
      - 0214-fix-qgraphicsproxywidget-tab-crash.diff
      - 0230-qtextcontrol-selectnextword.diff
      - 0232-fix-qdesktopwidget-screen-merge.diff
      - 0233-fix-q3textbrowser-image.diff
      - 0235-qdbus-dispatch-async-timeout.diff
      - 0236-qtoolbararealayout-restore.diff
      - 0241-fix-null-stylesheet-warning.diff
  * Add missing QHelpGlobal include in libqt4-dev package.
  * Remove doxygen build dependency.
    It is useless to generate a tag file as Qt is shipped with qt.tags file.
  * Split qmake in its own qt4-qmake package. (Closes: #437354)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 18 Sep 2008 18:22:04 +0200

qt4-x11 (4.4.1-1) experimental; urgency=low

  * New upstream release. (Closes: #483790)

  +++ Changes by Fathi Boudra:

  * Bump Standards-Version to 3.8.0 (no changes needed).
  * Add 0241-fix-null-stylesheet-warning.diff from qt-copy.
  * Update libqt4-dev.install: windows related files are not installed anymore.
  * Update Qt 4 designer short descriptions. (Closes: #493379)
  * Replace libcupsys2-dev build dependency by libcups2-dev.

  +++ Changes by Sune Vuorela:

  * Remove watchfile. it doesn't work.
  * mention qmake-qt4 in description of libqt4-dev. (Closes: 415816)
  * Apply patch from friendly hurd porters. (Closes: 485931)
  * Make the rules file parallel build safe.

  +++ Changes by Modestas Vainius:

  * Resync our qt-copy patches with KDE svn:
    * add:
      - 0232-fix-qdesktopwidget-screen-merge.diff
    * removed from qt-copy KDE svn:
      - 0210-fix-crash-q3stylesheet-font-size.diff
      - 0220-no-x-recursion-in-xerrhandler.diff
      - 0223-fix-qpixmap-hasalpha.diff
      - 0227-qdatastream-regression.diff
      - 0228-qsortfilterproxymodel-invalidate-noscroll.diff
    * refresh:
      0167, 0180, 0195, 0203, 0209, 0214, 0216,
      0224, 0226, 0230, 0233, 0235, 0236.
    * other qt-copy patches are in 4.4.1.
  * Resync our patches:
    * remove, merged (stolen from) upstream:
      - 0001_webkit_backround_in_scrollbars_webkit-5b0ea6b840a6e25e97b886e185...
      - 21_qprintdialog_honour_fileprintersadded.diff
      - 73_from4.4.1_no_AAAA_when_ipv6_disabled.diff
      - 90_gcc43.diff
    * partially merged upstream, leave unmerged parts:
      - 71_hppa_unaligned_access_fix_458133.diff
    * refresh:
      - 05_append_qt4_target.diff
      - 14_add_libraries_to_gui_build_where_actually_needed.diff
      - 20_mips_atomic_ops.diff
      - 50_kfreebsd_build_fix.diff
  * Leave shlibs at (>= 4.4.0) since 4.4.1 is supposed to be backwards and
    forward compatible with 4.4.0.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 02 Aug 2008 22:49:17 +0300

qt4-x11 (4.4.0-4) unstable; urgency=low

  +++ Changes by Sune Vuorela:

  * Get patch from 4.4.2 (yes!) to fix painting of scrollbars in webkit with
    some styles.
  * Get patch from 4.4.2 to allow Https to be treated as https in -network.
  * Fix some unaligned access issues that makes any webkit using application
    crash (SIGBUS) on archs where this isn't allowed. Patch by Mike Hommey.
    See #487745 for details.
  * Don't make the std:: symbols in webkit public. Solution based on the work
    of Mike Hommey in the gtk webkit package.
  * Add 0235-qdbus-dispatch-async-timeout.diff from qt copy. Acked in qt-copy
    by Thiago.
  * Add 0236-qtoolbararealayout-restore.diff to fix a regression in qt4.4.
    Patch from Trolltech.
  * Add 0003_tab_text_cutoff.diff patch to fix rendering of text in tabs.
    Patch available in qt4.5.
  * Add 0234-fix-mysql-threaded.diff from qt-copy to fix usage of qt with
    mysql in multithreaded environments

  +++ Changes by Modestas Vainius:

  * Add 21_qprintdialog_honour_fileprintersadded.diff patch to fix the problem
    with QPrintDialog misdetecting some normal printers as virtual file printers
    on dialog exec and when PrintToFile is disabled (TT #214505).
  * Add 0233-fix-q3textbrowser-image.diff patch from qt copy.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 09 Jul 2008 02:53:33 +0200

qt4-x11 (4.4.0-3) unstable; urgency=low

  +++ Changes by Sune Vuorela:

  * Fix generic atomic header. (Closes: #475767)
    This is enough to fix building of kdelibs, but there should be a proper
    hppa fix modelled over the other "real" archs.

  +++ Changes by Fathi Boudra:

  * Add qt-copy patch:
    * 0230-qtextcontrol-selectnextword
      Fix Ctrl+Shift+Right in a khtml textarea when having more than one tab
      open: QTextEdit should react to ShortcutOverride for the keys it handles
      (was already partly done).

  +++ Changes by Modestas Vainius:

  * Steal 73_from4.4.1_no_AAAA_when_ipv6_disabled.diff patch from 4.4.1
    snapshot, which disables IPv6 DNS queries (AAAA) when IPv6 is disabled on
    the system.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 08 Jun 2008 13:17:02 +0300

qt4-x11 (4.4.0-2) unstable; urgency=low

  +++ Changes by Fathi Boudra:

  * Split html documentation in qt4-doc-html package.
  * Merge Ubuntu patches:
    * Add lpia architecture in trusted dpkg-arch over uname.
    * Add sqlite3 workaround in config tests fixes.
  * Add qt-copy patch:
    * 0227-qdatastream-regression
      Fix a bug that causes all Qt3/2 applications to crash or hang under KDE4.

  +++ Changes by Modestas Vainius:

  * Add 16_qsortfilterproxymodel_invalidate_noscroll.diff patch which stops
    scrolling to the current item/index on QSortFilterProxyModel::invalidate()
    This patch has been scheduled for Qt 4.4.1 (TT #204403).
  * Add missing Replaces:
    - libqt4-opengl-dev replaces libqt4-dev (<< 4.4.0-2) due to obvious
      reasons.
    - libqt4-dev replaces libqt4-opengl-dev (<< 4.4.0-2) (due to qglobal.h
      misplace).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 09 May 2008 23:35:16 +0300

qt4-x11 (4.4.0-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Modestas Vainius:

  * Split OpenGL headers from libqt4-dev to libqt4-opengl-dev:
    - Update install files.
    - Make libqt4-opengl-dev depend on X OpenGL headers, hence remove the
      latter from libqt4-dev Recommends.
    - Add libqt4-opengl-dev to libqt4-dev Recommends.
    - Remove libq4-opengl from libqt4-dev Depends.
  * Explicitly add libqtcore4 to libqt4-dev (was implicit before).
  * Rename libqt4-gui to libqtgui4 (new package).
  * Make libqt4-gui a transitional package (Closes: #478694) depending on
    libqtgui4, libqt4-opengl (Closes: #478264), libqt4-sql, libqt4-designer,
    libqt4-assistant.
  * Use ${binary:Version} instead of ${source:Version} in dependencies of
    libqt4-core and libqt4-gui transitional packages.
  * Require just libqtcore4 to install libqt4-dbg instead of libqt4-gui.
  * Resync patches:
    - 05_append_qt4_target.diff - fix offsets.
    - 11_qdbus_to_dbus_fix.diff - remove, merged upstream.
    - Revert to "runtime" configuration for xcursor, xinerama, xfixes and drop
      16_always_init_qt_x11data_ptrx.diff patch. Fixed upstream.

  +++ Changes by Fathi Boudra:

  * Update libqt4-dev and libqt4-opengl-dev install to use complete files
    list instead of wildcard.
  * Update installed files: new qt help and assistant translations.
  * Add qt-copy patch:
    * 0226-qtreeview-column_resize_when_needed
      This patch assures that if no header is shown, or if we only have one
      column (so no other columns become shrinked), the contents will be
      visible.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 06 May 2008 17:37:49 +0200

qt4-x11 (4.4.0~rc1-5) unstable; urgency=high

  +++ Changes by Fathi Boudra:

  * Add libqt4-sql-sqlite dependency to qt4-dev-tools. Qt Assistant and
    qhelpgenerator use the sqlite plugin. (Closes: #476986)
  * Remove qt-copy patches 0191 and 0192. The relevant code has changed
    such that neither patch seems to have any effect (although listviews
    still do not use active/inactive roles correctly).
  * Add qt-copy patches:
    * 0223-fix-qpixmap-hasalpha
      Fix a performance regression in QPixmap::hasAlpha() in Qt 4.4.
    * 0224-fast-qpixmap-fill
      This patch avoids the expensive image->pixmap conversion by discarding
      the old pixmap, creating a new one with the correct format, and doing
      the fill server side.
    * 0225-invalidate-tabbar-geometry-on-refresh
      Fix problem where Konsole's tab bar is not shown immediately on startup.

  +++ Changes by Modestas Vainius:

  * Downgrade libqt4-dev *gl*-dev dependencies to Recommends.
    They pull in half of X11 development headers and are rarely needed.
    What's more, OpenGL apps will probably depend on them explicitly anyway.
  * Add development packages of the SQL plugins to libqt4-dev Suggests.
  * Make libqt4-sql recommend its plugins. Depends does not do us any good
    because we don't know which plugin a user is going to use anyway. Moreover
    installation of the libqt4-sql package does not necessarily imply usage of
    the specific plugin(s). Finally, this resolves circular dependencies among
    libqt4-sql and its plugins.
  * Add myself to Uploaders.
  * Add 16_always_init_qt_x11data_ptrx.diff, which ensures that X11->ptrX*
    are properly initialized when Xcursor, Xinerama, Xfixes are not available
    in default "runtime" configuration  (Closes: #476608).
  * Pass -xfixes -xcursor -xinerama to configure because default "runtime"
    configuration requires a user to have libxfixes-dev, libxcursor-dev and
    libxinerama-dev installed to enable features requires respective X
    libraries (QLibrary simply searches for "lib*.so"). This change in
    configuration makes 16 patch irrelevant for Debian, but I'm leaving it
    as it's still the fix for the crashes which might occur on default Qt 4.4
    configutions.
  * Optimize qmake: pass -optimized-qmake to configure.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 27 Apr 2008 04:15:28 +0300

qt4-x11 (4.4.0~rc1-4) unstable; urgency=low

  +++ Changes by Sune Vuorela:

  * Have libqt4-dev conflict/replace libqtwebkit-dev.
  * Fix qmake to generate a bit better pkg-config files. Those should usually
    not be generated - as it ends up being crackful. After a bit of patching
    they are a bit less crackful though. (Closes: 457570)
  * Postprocess prl files to remove the same crack as in the pc files.
    (Closes: 470572)
  * Do a bit nicer linking when needed instead of relying on crackfulness from
    prl and pc files.
  * Add a disabled patch to generate better prl files, but unfortunately too
    much of qt4 build process relies on on it and is not yet fixed, but it is
    saved for later use.
  * Fix qmake makefile generation - should not add double slashes to
    makefiles.
  * Make libqt4-core transitional package arch:any. It doesn't bloat the
    archive too much, but it helps on installability.

  +++ Changes by Matthew Rosewarne:

  * Add Recommends: qt4-doc to qt4-demos.
  * Add watch file.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 15 Apr 2008 23:48:31 +0200

qt4-x11 (4.4.0~rc1-3) unstable; urgency=low

  +++ Changes by Sune Vuorela:

  * Clean up a bit in the dependencies of libqt4-dev. Removed dependencies:
    libqt4-sql-mysql, libqt4-sql-odbc, libqt4-sql-psql, libqt4-sql-sqlite,
    libqt4-sql-sqlite2, libqt4-sql-ibase, firebird2.0-dev, libaudio-dev,
    libcupsys2-dev, libdbus-1-dev, libfreetype6-dev, libglib2.0-dev,
    libice-dev, libiodbc2-dev, libjpeg62-dev, libmng-dev, libmysqlclient15-dev,
    libpam0g-dev, libpng12-dev, libpq-dev, libreadline5-dev, libsm-dev,
    libsqlite0-dev, libsqlite3-dev, libtiff4-dev, libx11-dev, libxcursor-dev,
    libxext-dev, libxft-dev, libxi-dev, libxinerama-dev, libxmu-dev,
    libxrandr-dev, libxrender-dev, libxslt1-dev, libxt-dev, x11proto-core-dev,
    zlib1g-dev

  +++ Changes by Fathi Boudra:

  * Add libqt4-svg dependency to libqt4-gui. It helps for the transition as
    libQtSvg.so.4 was previously in libqt4-gui package. (Closes: #475324)
  * Replace libqcncodecs.so in libqt4-gui (<< 4.4.0~beta1-1). (Closes: #475340)
  * Update 20_mips_atomic_ops patch. Qt4.4 introduced two new atomic operations
    without the necessary assembler .set directives.
    Thanks to Thiemo Seufer. (Closes: #475402)

 -- Fathi Boudra <fabo@debian.org>  Sat, 12 Apr 2008 07:48:37 +0200

qt4-x11 (4.4.0~rc1-2) unstable; urgency=low

  * Add patch for Explicit template specialization cannot have a storage class
    with gcc-4.3. Specializations of templates cannot explicitly specify
    a storage class, and have the same storage as the primary template.

 -- Fathi Boudra <fabo@debian.org>  Wed, 09 Apr 2008 09:40:00 +0200

qt4-x11 (4.4.0~rc1-1) unstable; urgency=low

  * New upstream release. (Closes: #469783)

  +++ Changes by Modestas Vainius:

  * Refresh qt-copy patches:
    * 0167-fix-group-reading.diff - adjust offsets.
    * 0180-window-role.diff - adjust offsets.
    * 0195-compositing-properties.diff - adjust offsets.
    * 0203-qtexthtmlparser-link-color.diff - adjust offsets.
    * 0209-prevent-qt-mixing.diff - adjust offsets.
    * 0214-fix-qgraphicsproxywidget-tab-crash.diff - adjust offsets.
    * 0216-allow-isystem-for-headers.diff - adjust offsets.
  * Remove qt-copy patches:
    * 0172-prefer-xrandr-over-xinerama.diff - merged upstream.
    * 0178-transparency-window-types.diff - merged upstream.
    * 0215-compile-with-Xcursor-linkage.diff - merged upstream.
    * 0217-qurl-isempty-regression.diff - merged upstream.
    * 0218-qassert-macro-fix.diff - merged upstream.
    * fix-qt_bootstrapped-typo.diff  - merged upstream.
  * Add qt-copy patches:
    * 0220-no-x-recursion-in-xerrhandler.diff - adjust offsets.
  * Refresh Debian patches:
    * 02_launch_assistant-qt4.diff - adjust offsets.
    * 05_append_qt4_target.diff - adopt to upstream changes. lrelease and
      lupdate have been moved to tools/linguist/, adjust offsets.
    * 50_kfreebsd_build_fix.diff - adjust offsets.
    * 80_hurd_max_path.diff - adjust offsets.
  * Remove Debian patches:
    * 08_load_ssl.diff - different fix applied upstream.
  * Update *.install files:
    * qt4-dev-tools.install: a few renames of the language files,
      s/assistant-qt3/assistant-qt4/, add usr/bin/xmlpatterns
  * Add libqt4-core transitional package. (Closes: #473658)
  * Add debian/not-installed to document files which are deliberately not
    installed
  * Avoid calling ./configure repeatedly during build/install: tie ./configure
    to config.status

  +++ Changes by Fathi Boudra:

  * Re-introduce LD_LIBRARY_PATH workaround to use lrelease.
  * Remove Conflicts against libqt4-core.
  * Reorder libqt4-sql dependencies to have packages available on all
    architectures listed first. (Closes: #473348)
  * Add architectures availability list to libqt4-sql-ibase package.
    (Closes: #473348)
  * Add patch to fix unaligned access on hppa. Thanks to Bernhard R. Link.
    (Closes: #458133)
  * Add patch to replace remaining qdbus by dbus. Fix libqtscriptdbus build.
  * Update configure options:
    * Replace -qdbus by -dbus.
    * Add -svg.

  +++ Changes by Matthew Rosewarne:

  * Rewrite clean rule to remove remaining build cruft.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 07 Apr 2008 01:36:54 -0400

qt4-x11 (4.4.0~beta1-1) experimental; urgency=low

  * New upstream release.

  * Add build dependencies: doxygen, firebird2.0-dev, libiodbc2-dev,
    libpam0g-dev, libreadline5-dev, libxslt1-dev.
  * Split libqt4-gui and libqt4-core packages.
  * Create package for each Qt module.
  * Enable all SQL drivers as plugins and add related packages:
    libqt4-sql-ibase, libqt4-sql-mysql, libqt4-sql-odbc, libqt4-sql-psql,
    libqt4-sql-sqlite, libqt4-sql-sqlite2.
  * Add packages: libqt4-assistant, libqt4-dbus, libqt4-designer, libqt4-help,
    libqt4-network, libqt4-opengl, libqt4-script, libqt4-svg, libqt4-test,
    libqt4-webkit, libqt4-xml, libqt4-xmlpatterns and qt4-demos.
  * Replace libqt4-core by libqtcore4 package.
  * Rename libqt4-debug to libqt4-dbg like other debug packages in Debian.
  * Update .lintian override files.
  * Update .install files.
  * Move translations files in their respective packages.
  * Disable DEB_INSTALL_CHANGELOGS_ALL.
  * Build ibase sql plugin on supported architectures only.
  * Enable demos, examples, WebKit and XmlPatterns.
  * Enable exceptions. It is a dependency to XmlPatterns module.
  * Add qtdemo help collection file.
  * Split WebKit and XmlPatterns debug packages from libqt4-dbg.
  * Generate Doxygen tagfile in libqt4-dev. Thanks to Matthew Rosewarne.
  * Examples and Demos are not shipped compressed anymore.
  * Refresh qt-copy patches:
    * 0167-fix-group-reading
    * 0172-prefer-xrandr-over-xinerama
    * 0178-transparency-window-types
    * 0180-window-role
    * 0191-listview-alternate-row-colors
    * 0192-itemdelegate-palette-state
    * 0195-compositing-properties
    * 0203-qtexthtmlparser-link-color
    * 0209-prevent-qt-mixing
    * 0210-fix-crash-q3stylesheet-font-size
  * Remove qt-copy patches:
    * 0175-fix-s390-qatomic
    * 0176-coverity-fixes
    * 0179-transient-hack
    * 0187-fix-font-fixed-pitch
    * 0194-fix-moveonly-dnd-in-itemviews
    * 0200-fix-qsslsocket-waitfor
    * 0205-fast-qpixmap-fill
    * 0211-q3action-crash
  * Add qt-copy patches:
    * 0214-fix-qgraphicsproxywidget-tab-crash
    * 0215-compile-with-Xcursor-linkage
    * 0216-allow-isystem-for-headers
    * 0217-qurl-isempty-regression
    * 0218-qassert-macro-fix
    * fix-qt_bootstrapped-typo
  * Refresh Debian patches:
    * 01_qmake_for_debian
    * 02_launch_assistant-qt4
    * 03_launch_moc-qt4
    * 04_launch_uic-qt4
    * 05_append_qt4_target
    * 08_load_ssl
    * 10_config_tests_fixes
    * 40_alpha_ice
    * 41_disable_opengl_visibility
    * 50_kfreebsd_build_fix
    * 60_m68k_inotify_fix
    * 80_hurd_max_path
  * Remove Debian patches:
    * 06_qtdemo_destdir. Useless as we ship qtdemo again.
    * 30_arm_ftbfs_fixes. Merged upstream.
    * 31_arm_eabi_fix. Upstream changed arm architecture handling.
      This patch doesn't apply as it is.
    * 91_qmake_lflags_no-undefined. Merged upstream.

 -- Fathi Boudra <fabo@debian.org>  Thu, 13 Mar 2008 22:34:45 +0100

qt4-x11 (4.3.4-2) unstable; urgency=low

  * Add patches:
    * 09_qmake_lflags_as-needed
      workaround as LDFLAGS isn't honored by configure script.
      we set --as-needed flag for Qt build only.
    * 10_config_tests_fixes.diff
      configuration test fixes for Interbase/Firebird and ODBC sql drivers.
  * Update 01_qmake_for_debian patch:
    * re-introduce link_prl and drop QT_SHARED workaround.
  * Update rules:
    * Remove exported LDFLAGS.
    * Remove DEB_CONFIGURE_SCRIPT_ENV.
    * Exclude debug files from dh_shlibdeps using DEB_DH_SHLIBDEPS_ARGS_ALL.
    * Update configure options to use libtiff from system.
    * Remove debug configure option to build with -02.
    * Update common-install-arch target to fix wrong path in pkgconfig and prl files.
  * Add libtiff4-dev build dependency.
  * Update libqt4-dev dependencies.

 -- Fathi Boudra <fabo@debian.org>  Sat, 08 Mar 2008 10:09:02 +0100

qt4-x11 (4.3.4-1) unstable; urgency=low

  * New upstream release:
    * This version adds the GNU General Public License (GPL) version 3
      to all Qt Open Source editions. The GPL Exception version 1.1
      applies to both versions of the GPL license.

  * Add qt-copy patches:
    * 0205-fast-qpixmap-fill
      Fix a performance issue in QPixmap::fill()
    * 0209-prevent-qt-mixing
      This patch changes QObjectPrivateVersion, thus preventing mixing parts
      of upstream Qt and qt-copy.
    * 0210-fix-crash-q3stylesheet-font-size
      This patch fixes crashs in q3stylesheet
      (it was possible to use a qfont size < 1)
    * 0211-q3action-crash
      During porting qt3to4 port QGroupAction to Q3GroupAction but not QAction
      to Q3Action (which is logical) But it crashs when it's not a q3action.
  * Refresh and enable 0172-prefer-xrandr-over-xinerama patch.
  * Remove 0204-fix-tulip-aliasing patch. Merged upstream.
  * Remove 90_qmake_cxxflags_fpermissive patch.
  * Add ${shlibs:Depends} to libqt4-dev. See missing shared library
    dependencies thread on debian-devel mailing list.
  * Add catalan translation. Thanks to Javier Serrano Polo. (Closes: #459822)
  * Update copyright file. Add GPL version 3.
  * Remove -fpermissive.

 -- Fathi Boudra <fabo@debian.org>  Tue, 26 Feb 2008 18:38:27 +0100

qt4-x11 (4.3.3-2) unstable; urgency=low

  * Update 0203-qtexthtmlparser-link-color qt-copy patch:
    Add qt-bugs@ issue and Trolltech task ID.
  * Add 0204-fix-tulip-aliasing qt-copy patch:
    Fix KDE4 RC2 crashing on startup due to Qt 4.3.3 update.
  * Downgrade libqt4-dev dependency to qt4-dev-tools from Recommends to
    Suggests.
  * Add semicolon at the end of the MimeType key. Thanks to Pino Toscano.
  * Remove 91_qmake_ldflags_as-needed patch:
    It breaks other packages. (Closes: #457038, #457284)
  * Add 91_qmake_lflags_no-undefined patch:
    By default, qmake adds --no-undefined linker flag.

 -- Fathi Boudra <fabo@debian.org>  Sun, 30 Dec 2007 23:29:09 +0100

qt4-x11 (4.3.3-1) unstable; urgency=low

  * New upstream release.

  [Adeodato Simó]

  * Do not depend or build-depend on the transitional package xlibmesa-gl-dev,
    but on libgl1-mesa-dev instead. Ditto for libglu1-xorg-dev/libglu1-mesa-dev.

  [Fathi Boudra]

  * Bump Standards-Version to 3.7.3.
  * Fix description contains homepage lintian warning.
  * Merge Kubuntu load ssl patch. Thanks to Jonathan Riddell.
  * Add CDDL exception to debian/copyright.
  * Add 21_assume_no_fpu_for_embedded_devices patch. Thanks to Thiemo Seufer
    and Bradley Hughes. Not Enabled yet: It breaks ABI on mips.
    We will keep it for later (> 4.3.3-1).
  * Add 91_qmake_ldflags_as-needed patch. Build with --as-needed linker flag.
  * Remove qt-copy patches:
    * 0163-fix-gcc43-support.
    * 0185-fix-format-strings.
    * 0188-fix-moc-parser-same-name-header.
    * 0189-fix-q3toolbar-qcombobox-signal-slot.
    * 0193-qtreeview-division-by-zero.diff.
  * Add qt-copy patches:
    * 0200-fix-qsslsocket-waitfor.
      Fixes some QSslSocket::waitFor$X methods.
    * 0203-qtexthtmlparser-link-color.
      Links are assigned a foreground color according to the system current
      color scheme.

 -- Fathi Boudra <fabo@debian.org>  Thu, 06 Dec 2007 22:06:46 +0100

qt4-x11 (4.3.2-1) unstable; urgency=low

  * New upstream release.

  [Fathi Boudra]
  * Update desktop files categories.
  * Add desktop files icons. (Closes: #433581)
  * Update patches to Qt4.3.2.
  * Add 90_qmake_cxxflags_fpermissive patch.
  * Remove 0186-fix-component-alpha-text patch. Merged upstream.
  * Add qt-copy patches:
    * 0188-fix-moc-parser-same-name-header
    * 0189-fix-q3toolbar-qcombobox-signal-slot
    * 0191-listview-alternate-row-colors
    * 0192-itemdelegate-palette-state
    * 0193-qtreeview-division-by-zero
    * 0194-fix-moveonly-dnd-in-itemviews
    * 0195-compositing-properties
  * Update qt4-dev-tools long description.
  * Update copyright:
    * Update Trolltech GPL exception to v1.1.
    * Add Trolltech GPL exception addenum.
  * Update rules:
    * Build with -fpermissive.
    * Introduce QTVERSION.
  * Fix qt4-config menu section. (Closes: 444896)

  [Sune Vuorela]
  * Have strict interdependencies between packages with a shlibs.local file.
    (Closes: #438746)
  * Don't trust uname in generating the qt build key. This has bitten us in
    qt3, but will soon bite us in qt4 as qt4 becomes more popular.

  [Ana Beatriz Guerrero Lopez]
  * Add desktop files icons uuencoded and update rules to install them uudecoded.
  * Add sharutils build dependency.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 06 Oct 2007 07:00:54 +0200

qt4-x11 (4.3.1-2) unstable; urgency=low

  * There is a large difference between 8 spaces and a tab.

 -- Sune Vuorela <debian@pusling.com>  Fri, 10 Aug 2007 22:20:45 +0200

qt4-x11 (4.3.1-1) unstable; urgency=low

  * New upstream release.

  [Fathi Boudra]
  * Switch to quilt patch system.
  * Update copyright. Add Trolltech GPL Exception.
  * Update section in Debian menu files.
  * Update patches for Qt4.3.1.
  * Remove 51_kfreebsd_mkspecs patch. Moved in rules.
  * Add 0187-fix-font-fixed-pitch patch:
    This patch works around broken QFontInfo::fixedPitch by always using a
    glyph metrics comparison test to guess the information. This has the
    property of both ignoring (bad) and not relying on (good) any information
    that might be provided by the OS's font facility. For Mac OS X only.
  * Remove patches merged upstream:
    * 0177-qurl-clear-fix
    * 0183-qprocess-corruption
    * 42_alpha_fetch_and_add
  * Disable:
    * 0172-prefer-xrandr-over-xinerama patch. (Closes: #433931)
    * 0181-qdnd-x11-fix patch.

  [Sune Vuorela]
  * Add a quick and dirty test to make build on hppa fail if a current
    getdents kernel bug is detected.

 -- Fathi Boudra <fboudra@free.fr>  Wed, 08 Aug 2007 15:08:11 +0200

qt4-x11 (4.3.0-5) unstable; urgency=low

  [Fathi Boudra]
  * Update 01_qmake_for_debian patch. Add DEFINES += QT_SHARED in qmake.conf
    along with the removal of link_prl. (Closes: #434019)
  * Apply qt-copy patches:
    * 00_0185-fix-format-strings: This patch fixes various code issues with
      handling format strings. None of them seem to be exceptionally bad,
      but its better safe than sorry. It is related to CVE-2007-3388.
      TT claims the problem is not present in any version of Qt 4. Dirk Muller
      disagrees and believes that some of them are possible to exploit.
    * 00_0186-fix-component-alpha-text: This patch fixes component alpha
      (LCD hinted) text when it's drawn on a non-opaque background. Qt doesn't
      initialize the alpha channel in the glyph masks, which causes problems
      in Konsole when transparency is enabled, and in other situations where
      the background isn't fully opaque.

 -- Fathi Boudra <fboudra@free.fr>  Mon, 30 Jul 2007 21:36:25 +0200

qt4-x11 (4.3.0-4) unstable; urgency=low

  [Fathi Boudra]
  * Add 42_alpha_fetch_and_add patch to fix broken threading on alpha, hangs
    uselessly on startup. fetch-and-add is supposed to return the original
    value before the addition. Thanks to Steve Langasek and Bradley Hughes.
    (Closes: #433031)
  * Update control: Replace ${source:Version} by ${binary:Version}.
    Make the package binNMU safe. Thanks to Lior Kaplan. (Closes: #433548)

 -- Fathi Boudra <fboudra@free.fr>  Mon, 16 Jul 2007 21:32:01 +0200

qt4-x11 (4.3.0-3) unstable; urgency=low

  [Fathi Boudra]
  * Update control: Replace deprecated ${Source-Version} by ${source:Version}.
  * Update rules:
    * Add bindir and libdir configure options.
    * Replace common-install-arch target. Replaced by build system patches and
      a fix for pkgconfig files. (Closes: #401807)
  * Add patches:
    * 04_launch_uic-qt4: call uic-qt4 binary.
    * 05_append_qt4_target: append -qt4 when needed. It fixes moc-location and
      uic_location are properly in pkgconfig files. (See bug #401807)
    * 06_qtdemo_destdir: remove QT_BUILD_TREE in qtdemo DESTDIR target.
      (Closes: #408639)
  * Revert Qt handling argb visuals on X11 patch. There are dependencies
    not fixed in Qt. They cause a few regressions when this patch is applied.
    (Closes: #430907, #431436, #431943)
  * Update Qt support for new window types used for compositing patch.
    Fix crashes when 'w' is null. (Closes: #431322)
  * Apply qt-copy patches:
    * 00_0172-prefer-xrandr-over-xinerama: only trust libxinerama if it is not
      the emulated information coming from xrandr 1.2.
    * 00_0177-qurl-clear-fix: fix QUrl::clear(). Applied upstream.
    * 00_0183-qprocess-corruption: fix plain data loss bug. Applied Upstream.

 -- Fathi Boudra <fboudra@free.fr>  Fri, 29 Jun 2007 08:15:23 +0200

qt4-x11 (4.3.0-2) unstable; urgency=low

  [Brian Nelson]
  * Changed dist back to unstable.
  * Tightened qt4-dev-tools's dependency on libqt4-core to
    (= ${Source-Version}), since it uses internal (non-public) classes in
    Qt whose ABI can change. (Closes: #429817)
  * Added a build-dependency on libxi-dev to enable tablet support.
  * Constrict the hack to clean all binary files to the bin, config.tests,
    and qmake directories to drastically improve its speed

  [Fathi Boudra]
  * Qt4 demos builds properly in Qt4.3. (Closes: #408639)
  * Apply qt-copy patches:
    * 00_0178-transparency-window-types: adds Qt support for new window types
      used for compositing.
    * 00_0179-transient-hack: workaround that makes setting of WM_TRANSIENT_FOR
      work with some window types.
    * 00_0180-window-role: several problems with Qt's support for the
      WM_WINDOW_ROLE property.
    * 00_0181-qdnd-x11-fix: makes the find_child algorithm in qdnd look at
      _all_ widgets that contain the QPoint.
    * 00_0182-argb-visuals-default: Qt handling argb visuals on X11.

 -- Brian Nelson <pyro@debian.org>  Wed, 27 Jun 2007 00:02:07 -0400

qt4-x11 (4.3.0-1) experimental; urgency=low

  * New upstream release.
    * Fixes a QListView issue. (Closes: #419654)

  * Update uploaders. Add Ana, Sune and Fathi.

  [Sune Vuorela]
  * Remove 04_utf8_bug_fix: Merged upstream.
  * Update libqt4-dev.install. Upstream installs pkgconfig files the right place.
  * Update libqt4-core.install. Add libQtScript.
  * Update rules:
    * Add utils.mk to use list-missing.
    * Cleaning seems to fail a bit. Trying to hack around that in clean::
      target.

  [Fathi Boudra]
  * Redo 30_arm_ftbfs_fixes to fix another FTBFS. Add arm target to configure
    script. Thanks to Sune Vuorela and Aurelien Jarno. (Closes: #426129)
  * Remove 71_hppa_inotify_fix: Merged upstream.
  * Update patches:
    * 02_launch_assistant-qt4
    * 03_launch_moc-qt4
    * 50_kfreebsd_build_fix
    * 80_hurd_max_path
  * Apply qt-copy patches:
    * 00_0163-fix-gcc43-support: Various fixes to get Qt 4.3 without hundreds
      of warnings compiling.
    * 00_0167-fix-group-reading: In big user environments, getgrgid_r() needs
      more memory than sysconf() returns.
    * 00_0175-fix-s390-qatomic: Fix s390(x) build.
    * 00_0176-coverity-fixes: Fix various obvious memory leaks.
  * Rename disable opengl visibility patch. It is not alpha architecture only.
  * Add desktop files to support Desktop Environments. (Closes: #378915)
  * Update qt4-dev-tools.install. Add qdbusviewer and pixeltool.
    Thanks to Benjamin Meyer for the reminder.
  * Update libqt4-dev.install. Remove qtdemo binary as we provide a tarball of the
    demos directory. qtdemo is useless, it can't launch anything without demos
    builded. It can only show screenshots and short description of demos,
    users have it in Qt assistant.
  * Update rules:
    * Remove -debug-and-release option. Deprecated.
    * Add configure options:
      * -no-exceptions
      * -debug
      * -qdbus
      * -pch
      * -nomake examples
      * -nomake demos

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 09 Jun 2007 00:25:41 +0200

qt4-x11 (4.2.3-1) unstable; urgency=low

  * New upstream release
    - Fixes build failures when QT_NO_DEBUG_OUTPUT defined
      (Closes: #418832)
    - Fixes broken signal/slot connection in QSvgRenderer
      (Closes: #411292)

 -- Brian Nelson <pyro@debian.org>  Thu, 12 Apr 2007 12:38:06 -0400

qt4-x11 (4.2.2-2) unstable; urgency=high

  * debian/patches/04_utf8_bug_fix.dpatch: new patch to fix the "UTF-8
    overlong sequence decoding vulnerability" [CVE-2007-0242]

 -- Brian Nelson <pyro@debian.org>  Fri, 30 Mar 2007 11:04:20 -0400

qt4-x11 (4.2.2-1) unstable; urgency=low

  * New upstream release (Closes: #410862)

  * debian/rules: set the sysconfdir to /etc/xdg instead of /etc/qt4 to
    match the QSettings documentation (Closes: #407297)

  * Added Riku Voipio's patch for ARM EABI (Closes: #408813)

  * debian/patches/22_launch_moc-qt4.dpatch: new patch to ensure the Qt4
    version of moc is launched by qdbuscpp2xml (Closes: #399049)

  * Added a doc-base file for qt4-doc (Closes: #403290)

  * debian/qt4-designer.links: added a link /usr/share/qt4/bin/designer ->
    /usr/bin/designer-qt4 (Closes: #410885)

  * Re-arranged patches to group them by arch so that they're easier to
    deal with

  * Applied new patches for kFreeBSD and Hurd support
    (Closes: #380097, #402007)

  * debian/libqt4-gui.install: added the codecs plugins, somehow these got
    accidentally dropped (Closes: #409228)

 -- Brian Nelson <pyro@debian.org>  Sun,  4 Mar 2007 13:50:39 -0500

qt4-x11 (4.2.1-2) unstable; urgency=low

  * debian/patches/20_hppa_inotify_fix.dpatch: new patch that should fix
    the FTBFS on hppa due to missing defines (Closes: #394953)

  * Added patches for hurd support (Closes: #380097)

  * debian/patches/10_qmake_for_debian.dpatch: restored the modification
    to remove link_prl from the CONFIG line, which fixes problems with
    unnecessary linkage (Closes: #394836)

 -- Brian Nelson <pyro@debian.org>  Tue, 31 Oct 2006 02:42:02 -0500

qt4-x11 (4.2.1-1) unstable; urgency=high

  * New upstream release
    - Fixes integer overflow in pixmap handling [CVE-2006-4811]
      (Closes: #394192)

  * Install the libqtaccessiblecompatwidgets.so plugin into
    libqt4-qt3support, so that libqt4-gui does not circularly depend on
    libqt4-qt3support (Closes: #394351, #394629)

 -- Brian Nelson <pyro@debian.org>  Mon, 23 Oct 2006 11:59:52 -0400

qt4-x11 (4.2.0-2) unstable; urgency=low

  * debian/control: added a dependency on libglib2.0-dev for libqt4-dev
    (Closes: #392797, #392173)

  * Added a bunch of plugins and their debugging symbols to be installed

  * debian/patches/19_m68k_inotify_fix.dpatch: new patch to fix FTBFS on
    m68k (Closes: #391902)

  * Imported Ubuntu fixes, thanks to Jonathan Riddell for the tip
    - Fix typo in debian/rules -qt-sql-slite to -qt-sql-sqlite
      (Closes: #392808)
    - Install usr/bin/qdbus usr/bin/qdbusxml2cpp and usr/bin/qdbuscpp2xml
      (Closes: #391726)

  * debian/control: added a libqt4-dev dependency on libsqlite0-dev
    (Closes: #392558)

 -- Brian Nelson <pyro@debian.org>  Tue, 17 Oct 2006 23:44:31 -0400

qt4-x11 (4.2.0-1) unstable; urgency=low

  * New upstream release
    - No longer includes "CONFIG = ... debug" in the mkspecs/qconfig.pri
      (Closes: #357136)
    - Fixes QFontDialog assert() failures (Closes: #380418)

  * debian/control: made libqt4-gui conflict/replace libqt4-designer, to
    ensure that old package is removed (Closes: #380253)

  * Enable Qt's new support for using the system's SQLite 3 library
    (Closes: #382238)

  * debian/rules: removed the PostgreSQL and MySQL include hacks from the
    configure arguments, since the configure script now autodetects them
    itself

  * debian/patches/10_qmake_for_debian.dpatch: updated for new upstream

  * debian/patches/13_arm_ftbfs_fixes.dpatch: updated for new upstream

  * debian/patches/19_s390_atomic.dpatch: removed, since it appears to be
    obsolete

  * debian/libqt4-debug.install: changed the wildcards to match the new
    debug lib names.  What was once *_debug.so.* is now *.debug.  Ick.

  * debian/control: removed libqt4-debug-dev since now that the _debug
    libs have been removed and debugging symbols are shipped in their
    place, this package is no longer needed

  * Tar up the demos directory and include it in qt4-doc.  Also added the
    qtdemo binary to libqt4-dev. (Closes: #390925)

  * debian/rules: add -DQT_QLOCALE_USES_FCVT to the configure arguments
    when building on arm, like Qt3, to fix a uic problem (Closes: #386460)

  * debian/libqt4-gui.install: added usr/lib/libQtAssistantClient.so.*,
    since it's now shipped as a shared library; previously it was a static
    library

  * Added build-deps on libdbus-1-dev and libglib2.0-dev, and added
    libQtDBus to the libqt4-core package

 -- Brian Nelson <pyro@debian.org>  Fri,  6 Oct 2006 23:16:46 -0400

qt4-x11 (4.1.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Reintroduce the libpq-dev dependency, which seems to have been removed by
    mistake in 4.1.0-2. (Closes: #327618)

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 29 Aug 2006 01:10:59 +0200

qt4-x11 (4.1.4-1) unstable; urgency=low

  * New upstream release (Closes: #378443)

  * Moved usr/lib/libQtDesigner.so.* and
    usr/lib/libQtDesignerComponents.so.* from qt4-designer to libqt4-gui
    so there the libqt4-dev package won't contain dangling symlinks
    (Closes: #374612)

 -- Brian Nelson <pyro@debian.org>  Sun, 16 Jul 2006 15:39:29 -0700

qt4-x11 (4.1.3-3) unstable; urgency=low

  * debian/patches/19_s390_atomic: patch from Bastian Blank to fix
    including of s390 specific atomic header. (Closes: #370241)

  * debian/patches/18_disable_opengl_visibility.dpatch: regenerated so
    that it applies correctly for me

 -- Brian Nelson <pyro@debian.org>  Sun, 25 Jun 2006 11:42:57 -0700

qt4-x11 (4.1.3-2) unstable; urgency=high

  * patches/18_disable_opengl_visibility: disable -fvisibility-inlines-hidden
    for src/opengl/opengl.pro as it makes gcc ICE on alpha.
    (Closes: #368883)

  * urgency set to high so that qt4-x11 stops blocking half of unstable out of
    testing.

 -- Pierre Habouzit <madcoder@debian.org>  Mon,  5 Jun 2006 10:28:29 +0200

qt4-x11 (4.1.3-1) unstable; urgency=high

  * New upstream release

  * debian/patches/16_hppa_ldcw_fix.dpatch: new patch from Ubuntu to
    properly support hppa

  * debian/patches/17_alpha_ice.dpatch: new patch from Steve Langasek to
    fix FTBFS on alpha (Closes: #368883)
    (urgency set to high for that fix).

  * Dropped the .la files since they pull in too many unneeded
    dependencies (Closes: #360802)

  * debian/libqt4-debug.install: removed
    usr/lib/qt4/plugins/codecs/*_debug.so since those aren't included
    upstream anymore

  * Increased standards version to 3.7.2

 -- Brian Nelson <pyro@debian.org>  Sat,  3 Jun 2006 17:56:32 -0700

qt4-x11 (4.1.2-2) unstable; urgency=low

  * debian/libqt4-debug-dev.install, debian/libqt4-dev.install: added
    wildcards to install .a static libraries so that the libQtUiTools and
    libQtAssistantClient libraries are included (Closes: #358224, #355902)

 -- Brian Nelson <pyro@debian.org>  Sun, 14 May 2006 10:03:40 -0700

qt4-x11 (4.1.2-1) unstable; urgency=low

  * New upstream release

  * debian/control: removed dependencies on xlibs-static-dev and
    xlibs-static-pic to transition to building against modular X
    (Closes: #362262)

  * debian/control: changed x-dev dependencies to x11proto-core-dev, for
    modular X transition (Closes: #362053)

 -- Brian Nelson <pyro@debian.org>  Thu, 13 Apr 2006 10:35:28 -0700

qt4-x11 (4.1.1-1) unstable; urgency=low

  * New upstream release
    - Fixes the broken debug-and-release build and a load of resulting
      bugs (Closes: #337764, #337847, #341807, #338380, #354993, #347251)
    - debian/patches/15_alpha_ftbfs_fix.dpatch: removed, integrated upstream

  * debian/control: updated libqt4-debug-dev priority to match that of the
    override file

  * debian/libqt4-dev.links: added a symlink /usr/share/qt4/bin/rcc to
    /usr/bin/rcc (Closes: #349438)

  * debian/libqt4-gui.install: added libqmng.so and libqgif.so plugins
    (Closes: #354266)

 -- Brian Nelson <pyro@debian.org>  Mon,  6 Mar 2006 10:20:47 -0800

qt4-x11 (4.1.0-3) unstable; urgency=low

  * Moved *_debug.prl and *_debug.la support files to the libqt4-debug-dev
    package

  * Updated to debhelper v5 compatibility

  * debian/qt4-dev-tools.install: removed the /usr/share/qt4/templates
    entry, which no longer contains anything

  * Added gif support (Closes: #348092)

  * debian/patches/12_mips_atomic_ops.dpatch: applied fixes from Isaac
    Clerencia <isaac@debian.org>, as the last patch was not good enough to
    fix the FTBFS bug (Closes: #335831)

 -- Brian Nelson <pyro@debian.org>  Tue, 17 Jan 2006 09:49:11 -0800

qt4-x11 (4.1.0-2) unstable; urgency=low

  * debian/patches/12_mips_atomic_ops.dpatch: Updated patch to account for
    2 new functions, q_atomic_test_and_set_acquire_int and
    q_atomic_test_and_set_release_int, that were added in this release.
    This should again fix the build failures on mips. (Closes: #335831)

  * debian/patches/13_arm_ftbfs_fixes.dpatch: renamed, added a fix for the
    new build failure due to a poorly defined qreal (Closes: #347360)

  * debian/control: build against libmysqlclient15, and updated all
    dependencies to libmysqlclient15-dev (Closes: #346586)

  * debian/control: added explicit dependencies for libqt4-dev on the
    Source-Version packages libqt4-core, libqt4-gui, libqt4-sql, and
    libqt4-qt3support.  These dependencies were accidentally dropped in
    the last version.  Also removed some unneeded dependencies.

  * Split the *_debug.so symlinks out of libqt4-dev and into a separate
    libqt4-debug-dev package.  Made the libqt4-debug-dev package depend on
    the Source-Version of libqt4-debug.  This way, the symlinks won't be
    dangling if libqt4-debug isn't installed and prevents failed linking
    due to version mismatches.  (Closes: #346603, #346605)

  * Re-enabled sqlite3 support.  It's still statically linked, however,
    but that'll have to do because I really don't want to futz with the
    build system. (Closes: #330976)

  * Enabled sqlite2 support

  * debian/patches/15_alpha_ftbfs_fix.dpatch: new patch to rename
    q_atomic_test_and_set_release_ptr to q_atomic_test_and_set_ptr, as
    suggested by Isaac Clerencia <isaac@debian.org>, to fix a FTBFS on
    alpha. (Closes: #347353)

  * debian/patches/10_qmake_for_debian: renamed from
    10_qmake_use_qt4_tools, and updated to remove the "link_prl" from the
    default qmake CONFIG line.  This disables the recursive linkage
    against all indirectly-used libraries. (Closes: #343190)

 -- Brian Nelson <pyro@debian.org>  Tue, 10 Jan 2006 19:29:52 -0800

qt4-x11 (4.1.0-1) unstable; urgency=low

  * New upstream release
    - Fixes missing QBitArray operators (Closes: #341658)
    - Fixes qmake problem with including bad build path (Closes: #327359)

  * Added the new QTestLib unit testing framework to the libqt4-core
    package

  * Added the new QtSvg module to the libqt4-gui package

  * debian/patches/13_arm_gcc4.dpatch: new patch from Jeremy Laine to fix
    FTBFS on arm (Closes: #343176)

  * debian/patches/14_kfreebsd_build_fix.dpatch: new patch from Petr
    Salinger to fix FTBFS on GNU/kFreeBSD (Closes: #343191)

  * Split the qtconfig tool out of libqt4-gui and into a separate
    qt4-qtconfig package, due to its linkage against libqt4-qt3support and
    hence ridiculous dependency chain.

  * debian/rules: improved/cleaned up the clean target

 -- Brian Nelson <pyro@debian.org>  Wed,  4 Jan 2006 12:56:23 -0800

qt4-x11 (4.0.1-6) unstable; urgency=low

  * Added a target to automatically install lintian overrides, stolen from
    debian-qt-kde.mk

  * Added a bunch of lintian overrides for stuff that should be ignored

 -- Brian Nelson <pyro@debian.org>  Sat, 19 Nov 2005 01:17:03 -0800

qt4-x11 (4.0.1-5) unstable; urgency=low

  * debian/control: made libqt4-gui replace libqt4-core (<< 4.0.1-3), for
    the plugins move (Closes: #336492)

  * debian/control: removed the mention of a qt4-examples package that
    doesn't actually exist from the qt4-doc package description

  * debian/rules: remove all *.so files under
    examples/tools/plugandpaint/plugins/ in the clean target
    (Closes: #339674)

  * Removed the menu entry for designer-qt4 from qt4-dev-tools.menu, and
    added it to a new qt4-designer.menu

  * Added a tarball of the examples to qt4-doc (Closes: #336832)

 -- Brian Nelson <pyro@debian.org>  Fri, 18 Nov 2005 10:27:03 -0800

qt4-x11 (4.0.1-4) unstable; urgency=low

  * debian/control: changed qt4-designer's section to "devel"

  * Added a patch from Thiemo Seufer to fix the FTBFS on mips/mipsel
    (Closes: #335831)

 -- Brian Nelson <pyro@debian.org>  Wed, 26 Oct 2005 00:13:40 -0700

qt4-x11 (4.0.1-3) unstable; urgency=low

  * debian/libqt4-core.install: only install the non-debug codecs, since
    the debug ones pull in a gratuitous dependency on libqt4-debug
    (Closes: #328913)

  * debian/libqt4-debug.install: install the debug codecs here instead

  * debian/control: replaced obsolete xlibs-dev dependency with the
    required split packages (Closes: #329302)

  * Completely disabled SQLite support since it's too fubar in this
    version to be usable.  The build fails with SQLite2 support, and
    SQLite3 is only supported by linking staticly with a version
    distributed in the Qt source.  Meh.

  * Renamed libqt4-designer to qt4-designer, merged in the designer binary
    from qt4-dev-tools, and added a dependency on libqt4-dev
    (Closes: #330094)

  * Moved the plugins installed in libqt4-core to libqt4-gui, since they
    link against the GUI library.  Otherwise a circular libqt4-core <->
    libqt4-gui dependency results.

 -- Brian Nelson <pyro@debian.org>  Fri, 21 Oct 2005 00:28:53 -0700

qt4-x11 (4.0.1-2) unstable; urgency=low

  * debian/patches/10_qmake_use_qt4_tools.dpatch: new patch that modifies
    qmake.conf so that qmake generates Makefiles that use the -qt4 tools.
    This way, it can cope with systems that have alternatives set to use
    the -qt3 versions.

  * Increased the conflicting Qt3 package versions to <= 3.3.4-7, since
    the Qt3 packages still don't use the alternatives system as needed to
    coexist with Qt4.

  * debian/libqt4-core.install: added /usr/lib/qt4/plugins/codecs

  * debian/patches/11_launch_assistant-qt4: new patch that modifies the
    QAssistantClient class to launch Qt Assistant as "assistant-qt4" to
    cope with the alternatives system (Closes: #327294)

  * debian/control: Upgraded libqt4-dev's dependencies on the modules
    libqt4-sql and libqt4-qt3support from suggests to depends, and added
    libpq-dev and libmysqlclient14-dev | libmysqlclient-dev as
    dependencies.  These dependencies are apparently required to make
    building pkg-config-using packages happy. (Closes: #327618)

  * debian/control: corrected libqt4-sql to suggest libmysqlclient14-dev,
    not libmysqlclient12-dev which is deprecated

  * debian/copyright: updated FSF snailmail address

  * debian/libqt4-debug.install: removed the libqt3supportwidgets_debug.so
    designer plugin, since for some reason having this installed breaks
    designer (Closes: #325782)

 -- Brian Nelson <pyro@debian.org>  Mon, 12 Sep 2005 12:32:53 -0700

qt4-x11 (4.0.1-1) unstable; urgency=low

  * New upstream release

  * Install changes-4.0.1 as upstream changelog

  * debian/manpages/assistant-qt4.1: new manpage written from scratch
    based on the output of "assistant -help"

  * debian/manpages/designer-qt4.1, debian/manpages/linguist-qt4.1:
    manpages stolen from the Qt3 packages and trivially adapted for Qt4
    (Closes: #322403)

  * debian/manpages/moc-qt4.1: escape some '-' characters

  * debian/qt4-dev-tools.manpages: install the new assistant-qt4.1,
    designer-qt4.1, and linguist-qt4.1 manpages

  * debian/control: made qt4-dev-tools recommend qt4-doc, since assisant
    needs it to be useful (Closes: #323251)

  * Removed the FAQ from qt4-doc.docs, since it's no longer included in
    4.0.1, and was useless anyway

  * Build-depend on libmysqlclient14-dev since libmysqlclient12-dev is
    scheduled to be removed

  * debian/libqt4-dev.install: work around TT's broken "install" target in
    this release so that the pkgconfig files are installed in
    /usr/lib/pkgconfig instead of directly in /usr/lib.  Grrrr.

 -- Brian Nelson <pyro@debian.org>  Thu, 25 Aug 2005 19:28:35 -0700

qt4-x11 (4.0.0-3) unstable; urgency=low

  * debian/control: changed the xlibs-pic dependency to xlibs-static-pic
    for the X.org transition (Closes: #319586)

  * Added manpages for lrelease, lupdate, moc, qtconfig, and uic, stolen
    from the Qt3 upstream tarball, and wrote a manpage for qmake from
    scratch.  Since now manpages are included for all executables using
    the alternatives, the symlinks to them no longer dangle.
    (Closes: #319456)

  * debian/libqt4-core.install: added
    usr/lib/qt4/plugins/imageformats/libqjpeg.so to include the jpeg
    plugin (Closes: #321582)

  * debian/libqt4-debug.install: added the libqjpeg_debug.so plugin

  * debian/rules: don't hardcode the /usr/include/postgresql/8.0 path,
    instead of the output of `pg_config --includedir`, stolen from Qt3
    packages

  * debian/libqt4-gui.install: added the OpenGL module library so that it
    actually gets included in a package (Closes: #321874)

  * debian/control: updated the package descriptions to note that the
    Network and XML modules are included in the libqt4-core package, and
    the OpenGL module is included in the libqt4-gui package

 -- Brian Nelson <pyro@debian.org>  Mon,  8 Aug 2005 08:58:10 -0700

qt4-x11 (4.0.0-2) unstable; urgency=low

  * libqt4-dev: added /usr/bin/uic3 (Closes: #318451)

  * Transition to the new X.org packages:
    + (Build-)depend on libglu1-xorg-dev instead of xlibmesa-gl-dev
    + (Build-)depend on libxinerama-dev (Closes: #318682)

 -- Brian Nelson <pyro@debian.org>  Tue, 19 Jul 2005 21:28:19 -0700

qt4-x11 (4.0.0-1) unstable; urgency=low

  * Initial release (Closes: #306694)

 -- Brian Nelson <pyro@debian.org>  Tue,  5 Jul 2005 19:42:18 -0700
